<?php
session_start();
require __DIR__ . "/vendor/autoload.php";

use Dompdf\Dompdf;
use Dompdf\Options;
$user_id= $_SESSION['user_tenant_id'];
$data = isset($_POST['data']) ? json_decode($_POST['data'], true) : null;
$invoice_no = isset($_POST['invoice_no']) ? $_POST['invoice_no'] : '';
$account = isset($_POST['account']) ? $_POST['account'] : '';
$invoice_date = isset($_POST['invoice_date']) ? $_POST['invoice_date'] : '';
$due_date = isset($_POST['due_date']) ? $_POST['due_date'] : '';
$company_name = isset($_POST['company_name']) ? $_POST['company_name'] : '';
$total_fare = isset($_POST['total_fare']) ? $_POST['total_fare'] : '';
$comment = isset($_POST['comment']) ? $_POST['comment'] : '';
$fromDate = isset($_POST['fromDate']) ? $_POST['fromDate'] : '';
$toDate = isset($_POST['toDate']) ? $_POST['toDate'] : '';
if ($data !== null && is_array($data) && !empty($data)) {
   include('db/db.php');
    $query = "SELECT * FROM `users` WHERE user_tenant_id='$user_id'";
    $result = mysqli_query($con, $query);
    
    if ($result && mysqli_num_rows($result) > 0) {
        $heading = mysqli_fetch_assoc($result);
        $website=["website"];
        $Email=["email"];
        $address=["address"];
        $cleanedPath = str_replace("..", "https://cabmaster.live/superAdmin", $heading["company_logo"]);
        $fullPath = $cleanedPath;
   
    $html = '<html>
    <head>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" rel="stylesheet">
    
    <style>
    @page {
        margin: 30px;
    }
    footer {
        position: fixed;
        bottom: 10px;
        left: 0;
        right: 0;
        text-align: center;
        font-size: 12px;
        color: black;
        font-size:20px
    }
    body {
        font-family: Arial, sans-serif;
    }

    h1 {
        color: #6f42c1;
        text-align: center;
        margin-bottom: 10px;
    }

    table {
        width: 100%;
        border-collapse: collapse;
        margin-bottom: 20px;
    }

    th, td {
        padding: 5px 10px !important;
        font-size: 14px;
        font-weight: bold;
        border: 1px solid #ccc;
    }

    th {
        background: #6f42c1 linear-gradient(180deg, #855eca, #6f42c1) repeat-x;
        color: white;
        white-space: nowrap;
    }

    td {
        padding: 5px 10px;
        font-size: 10px;
        border: 1px solid #ccc; 
    }

    h2 {
        color: #6f42c1;
        text-align: center;
        margin-top: 20px;
    }

    tfoot {
        font-weight: bold;
    }
      img {
            width: 200px;
            height: 200px;
            margin-right: 20px;
        }
        .col-md-5{
position: absolute;
    left: 798px;
          top:20px; 
          
        }
        p{
        font-size: 13px;
               font-weight: 700;
        }
    </style>
    </head>
    <body>
    <div class="container">
     <div class="row align-items-center"> <!-- align-items-center for vertical centering -->
        <div class="col-md-6">
            <img src="' . htmlspecialchars($fullPath) . '" alt="Company Logo" class="border">
        </div>
        <div class="col-md-5">
            <p>Invoice No: ' . $invoice_no . '</p>
            <p>Invoice Date: ' . $invoice_date . '</p>
            <p>Dua Date: <span>' . $due_date. '</span></p>
            <p>Company Name: <span>' . $company_name . '</span></p>
            <p>Account: <span>' . $account . '</span></p>
            <p>Jobs Date: <span>' . $fromDate . ' - ' . $toDate . '</span></p>
        </div>
    </div>
  </div>';

    $html .= '<h1>Account Invoice</h1>';
    $html .= '<table>';
    $html .= '<thead>';
    $html .= '<tr>';
    $html .= '<th>Job Id</th>';
    $html .= '<th>Date&Time</th>';
    $html .= '<th>Passenger Name</th>';
    $html .= '<th>Pick Up</th>';
    $html .= '<th>Drop Off</th>';
    $html .= '<th>Fare</th>';
    $html .= '<th>Paking</th>';
    $html .= '<th>W/T</th>';
    $html .= '<th>Total</th>';
    $html .= '</tr>';
    $html .= '</thead>';
    $html .= '<tbody>';

    foreach ($data as $row) {
        $html .= '<tr>';
        $html .= '<td>' . htmlspecialchars($row[0]) . '</td>';
        $html .= '<td>' . htmlspecialchars($row[1]) . '</td>';
        $html .= '<td>' . htmlspecialchars($row[2]) . '</td>';
        $html .= '<td>' . htmlspecialchars($row[3]) . '</td>';
        $html .= '<td>' . htmlspecialchars($row[4]) . '</td>';
        $html .= '<td>' . htmlspecialchars($row[5]) . '</td>';
        $html .= '<td>' . htmlspecialchars($row[6]) . '</td>';
        $html .= '<td>' . htmlspecialchars($row[7]) . '</td>';
        $html .= '<td>' . htmlspecialchars($row[8]) . '</td>';
        $html .= '</tr>';
    }
    $html .= '</tbody>';
    $html .= '<tfoot>';
    $html .= '<tr>';
    $html .= '<td colspan="4">Total Fare: £' . htmlspecialchars($total_fare) . '</td>';
    $html .= '<td colspan="5">Total Account: £' . htmlspecialchars($total_fare) . '</td>';
    $html .= '</tr>';
    $html .= '</tfoot>';
     $html .= '</table>';
    $html .= ' <footer>
        <p>
            <span><i class="fas fa-envelope"></i> ' . htmlspecialchars($heading["Email"]) . '</span> | 
            <span><i class="fas fa-globe"></i> ' . htmlspecialchars($heading["website"]) . '</span>
        </p>
        <p><i class="fas fa-map-marker-alt"></i> ' . htmlspecialchars($heading["address"]) . '</p>
    </footer>';

    $html .= '</body></html>';

  $options = new Options;
        $options->set('isRemoteEnabled', true);
        $options->setChroot(__DIR__);
        $options->setIsHtml5ParserEnabled(true);
        $options->setIsPhpEnabled(true);

        $dompdf = new Dompdf($options);
        $dompdf->setPaper("A4", "landscape");
        $dompdf->loadHtml($html);

        $dompdf->render();

        $pdfOutput = $dompdf->output();
        header('Content-Type: application/pdf');
        header('Content-Disposition: attachment; filename="Account_Invoice.pdf"');
        header('Cache-Control: private, max-age=0, must-revalidate');
        header('Pragma: public');
        header('Expires: Sat, 26 Jul 1997 05:00:00 GMT');
        header('Content-Length: ' . strlen($pdfOutput));

        echo $pdfOutput;
} else {
    echo 'Error: Failed to retrieve heading data.';
}
} else {
    echo 'Error: Insufficient data received.';
}
?>