<?php
session_start();
include("../db/db.php"); 

if (isset($_POST['driver_id'])) {
    $driverId = $_POST['driver_id'];
$user_id= $_SESSION['user_tenant_id'];
    $sql = "SELECT * FROM drivers WHERE Driver_id = ? AND user_tenant_id= ? ";
    $stmt = $con->prepare($sql);
    $stmt->bind_param("is", $driverId,$user_id);
    $stmt->execute();
    $result = $stmt->get_result();
    $driver = $result->fetch_assoc();

    if ($driver) {
        echo json_encode([
            'status' => 'success',
            'data' => $driver
        ]);
    } else {
        echo json_encode([
            'status' => 'error',
            'message' => 'Driver not found'
        ]);
    }

    $stmt->close();
} else {
    echo json_encode([
        'status' => 'error',
        'message' => 'Invalid request'
    ]);
}

$con->close();
?>
