<?php
session_start(); // Start the session
include("../db/db.php");

if (isset($_POST['submit'])) {
    $name = $_POST['name'];
    $phone = $_POST['phone'];
    $username = $_POST['username'];
    $password = $_POST['password'];
    $role = $_POST['role'];
    $dasboard = isset($_POST['dasboard']) ? 1 : 0;
    $job = isset($_POST['job']) ? 1 : 0;
    $managment = isset($_POST['managment']) ? 1 : 0;
    $report = isset($_POST['report']) ? 1 : 0;
    $driver = isset($_POST['driver']) ? 1 : 0;
    $account = isset($_POST['account']) ? 1 : 0;
    $setting = isset($_POST['setting']) ? 1 : 0;
    $ploting = isset($_POST['ploting']) ? 1 : 0;
    $tracking = isset($_POST['tracking']) ? 1 : 0;
    $user_ids = $_SESSION['user_tenant_id'];

    // Handle file upload
    $uploadDir = "../assets/upload/";
    $imagePath = '';

    if (isset($_FILES['image']) && $_FILES['image']['error'] == UPLOAD_ERR_OK) {
        $d_image = $_FILES['image']['name'];
        $dimageFilePath = $uploadDir . $d_image;

        if (move_uploaded_file($_FILES['image']['tmp_name'], $dimageFilePath)) {
            $imagePath = $dimageFilePath;
        } else {
            $_SESSION['toastr_message'] = 'Error uploading the file.';
            $_SESSION['toastr_type'] = 'error';
            header("Location: ../usercontrol.php");
            exit;
        }
    }

    if (empty($name) || empty($phone) || empty($username) || empty($password) || empty($role)) {
        $_SESSION['toastr_message'] = 'All fields are required.';
        $_SESSION['toastr_type'] = 'error';
        header("Location: ../usercontrol.php");
        exit;
    }

    $user_id = isset($_SESSION['user_id']) ? $_SESSION['user_id'] : null;

    if (!$user_id) {
        $_SESSION['toastr_message'] = 'User is not logged in.';
        $_SESSION['toastr_type'] = 'error';
        header("Location: ../usercontrol.php");
        exit;
    }

    // Check if username already exists
    $editId = isset($_POST['editId']) ? $_POST['editId'] : null;
    $usernameCheckQuery = "SELECT * FROM company_user WHERE username = '$username' AND user_tenant_id = '$user_ids'";
    if ($editId) {
        $usernameCheckQuery .= " AND id != $editId"; // Exclude the current record for updates
    }
    $usernameCheckResult = mysqli_query($con, $usernameCheckQuery);

    if (mysqli_num_rows($usernameCheckResult) > 0) {
        // Username already exists
        $_SESSION['toastr_message'] = 'Username already exists. Please choose a different username.';
        $_SESSION['toastr_type'] = 'error';
        header("Location: ../usercontrol.php");
        exit;
    }

    if ($editId) {
        // Update existing record
        $query = "UPDATE company_user SET 
                  `name` = '$name', 
                  `phone` = '$phone', 
                  `username` = '$username', 
                  `password` = '$password',
                  `role` = '$role',
                  `dasboard` = '$dasboard',
                  `job` = '$job',
                  `management` = '$managment',
                  `report` = '$report',
                  `driver` = '$driver',
                  `account` = '$account',
                  `settings` = '$setting',
                  `plottings` = '$ploting',
                  `tracking` = '$tracking',
                  `image` = '$imagePath',
                  `user_id` = '$user_id' 
                  WHERE id = $editId AND user_tenant_id ='$user_ids'";
    } else {
        // Insert new record
        $query = "INSERT INTO `company_user`(`user_id`, `name`, `phone`, `username`, `password`, `role`, `dasboard`, `job`, `driver`, `management`, `account`, `settings`, `tracking`, `plottings`, `report`, `image`,`user_tenant_id`) VALUES
         ('$user_id','$name','$phone','$username','$password','$role','$dasboard','$job','$driver','$managment','$account','$setting','$tracking','$ploting','$report', '$imagePath','$user_ids')";
    }

    $result = mysqli_query($con, $query);

    if ($result) {
        $_SESSION['toastr_message'] = 'Data saved successfully.';
        $_SESSION['toastr_type'] = 'success';
    } else {
        $_SESSION['toastr_message'] = 'Failed to save data to the database.';
        $_SESSION['toastr_type'] = 'error';
    }
    header("Location: ../usercontrol.php");
    exit;
}
?>
