<?php

header("Access-Control-Allow-Origin: https://minicaber.com");
// Allow specific HTTP methods
header("Access-Control-Allow-Methods: POST, GET, OPTIONS");
// Allow specific headers
header("Access-Control-Allow-Headers: Content-Type, Authorization");

include("../db/db.php");

if ($_SERVER['REQUEST_METHOD'] == "POST") {
    $pick = mysqli_real_escape_string($con, $_REQUEST['pickup']);
    $drop = mysqli_real_escape_string($con, $_REQUEST['dropoff']);
    $via = mysqli_real_escape_string($con, isset($_REQUEST['via']) ? $_REQUEST['via'] : '');
    $distance = mysqli_real_escape_string($con, $_REQUEST['distance']);
    $fare = mysqli_real_escape_string($con, $_REQUEST['fare']);
    $carType = mysqli_real_escape_string($con, $_REQUEST['car_type']);
    $dateParts = explode('/', mysqli_real_escape_string($con, $_REQUEST['date']));
       $payment_type = mysqli_real_escape_string($con, $_REQUEST['Payment_Type']);
    // Ensure that the date is in dd/mm/YY format
    if (count($dateParts) == 3) {
        $date = $dateParts[1] . '/' . $dateParts[0] . '/' . $dateParts[2]; 
    } else {
        // Invalid date format provided
        echo json_encode(['error' => 'Invalid date format provided']);
        exit;
    }
    $time = mysqli_real_escape_string($con, $_REQUEST['time']);
    $name = mysqli_real_escape_string($con, $_REQUEST['name']);
    $email = mysqli_real_escape_string($con, $_REQUEST['email']);
    $phone = mysqli_real_escape_string($con, $_REQUEST['phone']);
    $message = mysqli_real_escape_string($con, $_REQUEST['message']);
    $web_booking = 'Web Booking';

      $lead_time_query = "SELECT * FROM lead_time";
      $results = mysqli_query($con, $lead_time_query);
      
      if (mysqli_num_rows($results) > 0) {
          $rows = mysqli_fetch_assoc($results);
          $perbooking_time = $rows['perbooking_time'];
          $airport_time = $rows['airport_time']; // This should be in minutes
      
          // Convert $time to a timestamp
          $time_timestamp = strtotime($time); // Assuming $time is in "H:i" format
      
          // Convert $date to timestamp for comparison
          $date_timestamp = strtotime($date);
          $tomorrow_timestamp = strtotime("tomorrow");
      
          if ($job_type == 'Airport') {
              // Subtract airport_time in seconds
              $time_dispatch_timestamp = $time_timestamp - ($airport_time * 60);
      
          } elseif ($date_timestamp == $tomorrow_timestamp && $job_type != 'Airport') {
  
              $time_dispatch_timestamp = $time_timestamp - ($perbooking_time * 60);
      
          } else {
              // Default to current time if no conditions match
              $time_dispatch_timestamp = $time_timestamp;
          }
      
        
          $time_dispatch = date("H:i", $time_dispatch_timestamp);
          echo "Time Dispatch: " . $time_dispatch;
        }

        $query = "INSERT INTO `bookins`(`pickup`, `via`, `via_Two`, `dropoff`, `distance`, `fare`, `car_type`, `date`, `time`, `name`, `email`, `phone`, `message`, `web_booking`, `lead_time`, `payment_type`) 
                  VALUES ('$pick','$via', '$viaTwo', '$drop','$distance','$fare','$carType','$date','$time','$name','$email','$phone','$message','$web_booking','$time_dispatch','$payment_type')";

    $result = mysqli_query($con, $query);
    if ($result === false) {
        echo "Query failed: " . mysqli_error($con);
        echo "Query: " . $query;
    } else {
        // Check if the customer already exists in the customer table
        $checkQuery = "SELECT * FROM `customer` WHERE `phone` = '$phone' AND `pickup` = '$pick'";
        $checkResult = mysqli_query($con, $checkQuery);

        if (mysqli_num_rows($checkResult) == 0) {
            // If no existing record is found, insert the new customer data
            $insertCustomerQuery = "INSERT INTO `customer`(`name`, `phone`, `email`, `pickup`) VALUES ('$name', '$phone', '$email', '$pick')";
            mysqli_query($con, $insertCustomerQuery);
        }

      
    }
    echo json_encode(['success' => 'Booking and customer data saved successfully']);
}
?>
