const fontSelectors = document.getElementsByClassName('fontSelector');
// Array of font families
const fontFamilies = [
    'Actor',
    'Roboto ',
    'Open Sans',
    'Montserrat',
    'Lato',
    'Times New Roman',
    'Georgia',
    'Helvetica',
    'Poppins',
    'Merriweather',
];

const populateFontOptions = () => {
    Array.from(fontSelectors).forEach(select => {
        fontFamilies.forEach(font => {
            const option = document.createElement('option');
            option.text = font;
            option.value = font;
            select.add(option);
        });
    });
};

// Call the function to populate font options
populateFontOptions();