<?php
session_start();
include("../db/db.php");

if ($_SERVER["REQUEST_METHOD"] == "POST") {
  
    $username = trim($_POST["username"]);
    $password = trim($_POST["password"]);

    if (empty($username) || empty($password)) {
        echo "No input field should be empty";
        exit;
    }

  
    function loginUser($con, $query, $username) {
        $stmt = mysqli_prepare($con, $query);
        if (!$stmt) {
            die("Error in preparing the statement: " . mysqli_error($con));
        }

        mysqli_stmt_bind_param($stmt, "s", $username);
        mysqli_stmt_execute($stmt);
        return mysqli_stmt_get_result($stmt);
    }

  
    $login_query = "SELECT * FROM admin WHERE name = ? LIMIT 1";
    $login_res = loginUser($con, $login_query, $username);

    if ($login_res && mysqli_num_rows($login_res) > 0) {
        $user = mysqli_fetch_assoc($login_res);

        // Verify password
        if ($password == $user['password']) {
      
            $_SESSION["logs"] = true;
            $_SESSION["admins"] = $user['role'];
            $_SESSION["user_ids"] = $user['id'];
            $_SESSION["usernames"] = $user['name'];
            $_SESSION["login_times"] = time();

       
            if ($user['role'] === 'admin') {
                $_SESSION["success_message"] = "Admin login successful";
                header("Location: ../index.php");
                exit;
            } else {
                $_SESSION["error_message"] = "You are not authorized to access the admin dashboard";
                header("Location: ../login.php");
                exit;
            }
        } else {
            echo "invalid password";
        }
    } else {
        echo "Invalid username or password";
    }
} else {
    echo "Invalid request method";
}

// Debugging logs for session
error_log("Accessing index.php");
error_log("Session log: " . (isset($_SESSION["log"]) ? $_SESSION["log"] : "not set"));
error_log("Session admin: " . (isset($_SESSION["admin"]) ? $_SESSION["admin"] : "not set"));
?>
