<?php 
session_start();
include("../db/db.php"); 

if($_SERVER['REQUEST_METHOD']== 'POST'){
    $accountName = isset($_REQUEST['accountName']) ? $_REQUEST['accountName'] : "";
    $fromDate = $_POST['fromDate'];
    $toDate = $_POST['toDate'];
    $user_id= $_SESSION['user_tenant_id'];

$jobStatus = isset($_REQUEST['jobStatus']) ? $_REQUEST['jobStatus'] : "";

    // Ensure the user inputs are sanitized to prevent SQL injection
    $accountName = mysqli_real_escape_string($con, $accountName);
    $fromDate = mysqli_real_escape_string($con, $fromDate);
    $toDate = mysqli_real_escape_string($con, $toDate);
    $jobStatus = mysqli_real_escape_string($con, $jobStatus);
    // Convert input dates to MySQL-compatible format ('Y-m-d')
    $fromDate = date_create_from_format('d/m/Y', $fromDate)->format('m/d/Y');
    $toDate = date_create_from_format('d/m/Y', $toDate)->format('m/d/Y');
$sql = "SELECT * FROM bookins WHERE 1";
if (!empty($accountName)) {
    $sql .= " AND account = '$accountName' AND user_tenant_id='$user_id'";
}

if ($jobStatus === "All") {
    $sql .= " AND `status` IN ('Completed', 'cancelled')  AND user_tenant_id='$user_id'";
} else {
    // Add condition based on the selected job status
    $sql .= " AND `status` = '$jobStatus'  AND user_tenant_id='$user_id'";
}

if (!empty($fromDate) && !empty($toDate)) {
     $sql .= " AND STR_TO_DATE(`date`, '%m/%d/%Y') BETWEEN STR_TO_DATE('$fromDate', '%m/%d/%Y') AND STR_TO_DATE('$toDate', '%m/%d/%Y')  AND user_tenant_id='$user_id'";
}

$result = mysqli_query($con, $sql);
if ($result) {
    $rows = [];
    // Check if there are any rows returned
    if (mysqli_num_rows($result) > 0) {
        while ($row = mysqli_fetch_assoc($result)) {
            $rows[] = [
                'time' => $row['time'],
                'account' => $row['account'],
                'pickup' => $row['pickup'],
                'dropoff' => $row['dropoff'],
                'fare' => $row['fare'],
                'date' => $row['date'],
                'name' => $row['name'],
                'phone' => $row['phone'],
                'driver' => $row['dispatch_DriverId'],
            ];
        }
    }
    // Output JSON, even if there are no rows
    echo json_encode($rows);
}
}