<?php
session_start();
include("../db/db.php"); // Replace with your database connection script

$user_id = $_SESSION['user_tenant_id'];
$today = date('m/d/Y');

// Query for Driver On Job
$onboardQuery = "SELECT COUNT(*) AS onboard_count FROM bookins WHERE 
    (status = '' OR status = 'At Pickup' OR status = 'Passenger On Board' 
    OR status = 'On Route To The Destination' OR status = 'Soon To Clear') 
    AND accepted = '1' AND STR_TO_DATE(date, '%m/%d/%Y') = STR_TO_DATE('$today', '%m/%d/%Y') 
    AND user_tenant_id='$user_id'";
$onboardResult = mysqli_query($con, $onboardQuery);
$onboardRow = mysqli_fetch_assoc($onboardResult);
$onboardCount = $onboardRow['onboard_count'];

// Query for Soon To Clear
$statusQuery = "SELECT COUNT(*) AS status_count FROM bookins WHERE 
    status = 'Soon To Clear' AND accepted = '1' 
    AND STR_TO_DATE(date, '%m/%d/%Y') = STR_TO_DATE('$today', '%m/%d/%Y') 
    AND user_tenant_id='$user_id'";
$statusResult = mysqli_query($con, $statusQuery);
$statusRow = mysqli_fetch_assoc($statusResult);
$status = $statusRow['status_count'];

// Query for Waiting On Plot
$availableQuery = "SELECT COUNT(*) AS available_count FROM drivers WHERE 
    plot = 'plot' AND user_tenant_id='$user_id'";
$availableResult = mysqli_query($con, $availableQuery);
$availableRow = mysqli_fetch_assoc($availableResult);
$availableCount = $availableRow['available_count'];

echo json_encode([
    'onboardCount' => $onboardCount,
    'statusCount' => $status,
    'availableCount' => $availableCount
]);
?>
