<?php
session_start();
include("../db/db.php");

if ($_SERVER['REQUEST_METHOD'] == "POST") {
    $user_id= $_SESSION['user_tenant_id'];
    $bookingId = isset($_REQUEST['bookingId']) ? $_REQUEST['bookingId'] : null;
    $pick = mysqli_real_escape_string($con, $_REQUEST['pickup']);
    $drop = mysqli_real_escape_string($con, $_REQUEST['drop']);
    $book_by = mysqli_real_escape_string($con, $_REQUEST['book_by']);
    $book_on = mysqli_real_escape_string($con, $_REQUEST['book_on']);
    $via = mysqli_real_escape_string($con, isset($_REQUEST['via']) ? $_REQUEST['via'] : '');
    $viaTwo = mysqli_real_escape_string($con, isset($_REQUEST['viaTwo']) ? $_REQUEST['viaTwo'] : '');
    $viaThree = mysqli_real_escape_string($con, isset($_REQUEST['viaThree']) ? $_REQUEST['viaThree'] : '');
    $viaFour = mysqli_real_escape_string($con, isset($_REQUEST['viaFour']) ? $_REQUEST['viaFour'] : '');
    $distance = mysqli_real_escape_string($con, $_REQUEST['distance']);
    $fare = mysqli_real_escape_string($con, $_REQUEST['fare']);
    $sub_company = mysqli_real_escape_string($con, $_REQUEST['sub_company']);
    $carType = mysqli_real_escape_string($con, $_REQUEST['carType']);
    $pax = mysqli_real_escape_string($con, isset($_REQUEST['pax']) ? $_REQUEST['pax'] : '');
    $luggage = mysqli_real_escape_string($con, isset($_REQUEST['luggage']) ? $_REQUEST['luggage'] : '');
    $flight = mysqli_real_escape_string($con, isset($_REQUEST['flight']) ? $_REQUEST['flight'] : '');
    $airline = mysqli_real_escape_string($con, isset($_REQUEST['airline']) ? $_REQUEST['airline'] : '');
    $coming = mysqli_real_escape_string($con, isset($_REQUEST['coming']) ? $_REQUEST['coming'] : '');
    $luggage = mysqli_real_escape_string($con, isset($_REQUEST['luggage']) ? $_REQUEST['luggage'] : '');
    $card_reader = mysqli_real_escape_string($con, isset($_REQUEST['card_reader']) ? $_REQUEST['card_reader'] : '');
    $low_car = mysqli_real_escape_string($con, isset($_REQUEST['low_car']) ? $_REQUEST['low_car'] : '');
    $food_delivery = mysqli_real_escape_string($con, isset($_REQUEST['food_delivery']) ? $_REQUEST['food_delivery'] : '');
    $cust =mysqli_real_escape_string($con, isset($_REQUEST['cust']) ? $_REQUEST['cust'] : '');
    $pet_carrier = mysqli_real_escape_string($con, isset($_REQUEST['pet_carrier']) ? $_REQUEST['pet_carrier'] : '');
    $screen =mysqli_real_escape_string($con, isset($_REQUEST['screen']) ? $_REQUEST['screen'] : '');
    $mask =mysqli_real_escape_string($con, isset($_REQUEST['mask']) ? $_REQUEST['mask'] : '');
    $non_smoking = mysqli_real_escape_string($con, isset($_REQUEST['non_smoking']) ? $_REQUEST['non_smoking'] : '');
    $ulze = mysqli_real_escape_string($con, isset($_REQUEST['ulze']) ? $_REQUEST['ulze'] : '');
    $congestion = mysqli_real_escape_string($con, isset($_REQUEST['congestion']) ? $_REQUEST['congestion'] : '');
    $meet_greet = mysqli_real_escape_string($con, isset($_REQUEST['meet_greet']) ? $_REQUEST['meet_greet'] : '');
    $routeSelect = mysqli_real_escape_string($con, $_REQUEST['routeSelect']); // Fix for Undefined Array Key Warning
    $dateParts = explode('/', mysqli_real_escape_string($con, $_REQUEST['date']));
    // Ensure that the date is in dd/mm/YY format
    if (count($dateParts) == 3) {
        $date = $dateParts[1] . '/' . $dateParts[0] . '/' . $dateParts[2]; // Convert to mm/dd/YY format
    } else {
        // Invalid date format provided
        echo json_encode(['error' => 'Invalid date format provided']);
        exit;
    }
    $time = mysqli_real_escape_string($con, $_REQUEST['time']);
    $second_time = mysqli_real_escape_string($con, $_REQUEST['times']);
    $name = mysqli_real_escape_string($con, $_REQUEST['name']);
    $email = mysqli_real_escape_string($con, $_REQUEST['email']);
    $phone = mysqli_real_escape_string($con, $_REQUEST['phone']);
    $message = mysqli_real_escape_string($con, $_REQUEST['message']);
    $job_type = mysqli_real_escape_string($con, $_REQUEST['jobtype']);
    $payment_type = mysqli_real_escape_string($con, $_REQUEST['Payment_Type']);
    $account = mysqli_real_escape_string($con, isset($_REQUEST['Account']) ? $_REQUEST['Account'] : '');
    $DriverID = mysqli_real_escape_string($con, isset($_REQUEST['driverId']) ? $_REQUEST['driverId'] : '');
     $pickupLatLon = mysqli_real_escape_string($con, isset($_REQUEST['pickupLatLon']) ? $_REQUEST['pickupLatLon'] : '');
    $dropLatLon = mysqli_real_escape_string($con, isset($_REQUEST['pickupLatLon']) ? $_REQUEST['dropLatLon'] : '');
    $drvPCharges = mysqli_real_escape_string($con, isset($_REQUEST['drv_p_cahrges']) ? $_REQUEST['drv_p_cahrges'] : '');
     $drvWCharges = mysqli_real_escape_string($con, isset($_REQUEST['drv_w_cahrges']) ? $_REQUEST['drv_w_cahrges'] : '');
     $extraCharges = mysqli_real_escape_string($con, isset($_REQUEST['extra_charges']) ? $_REQUEST['extra_charges'] : '');
      $wt = mysqli_real_escape_string($con, isset($_REQUEST['wt']) ? $_REQUEST['wt'] : '');
      $company_fare = mysqli_real_escape_string($con, isset($_REQUEST['company_fare']) ? $_REQUEST['company_fare'] : '');

$lead_time_query = "SELECT * FROM lead_time WHERE `user_tenant_id`='$user_id'";
$results = mysqli_query($con, $lead_time_query);

if (mysqli_num_rows($results) > 0) {
    $rows = mysqli_fetch_assoc($results);
    $perbooking_time = $rows['perbooking_time'];
    $airport_time = $rows['airport_time']; // This should be in minutes

    // Convert $time to a timestamp
    $time_timestamp = strtotime($time); // Assuming $time is in "H:i" format

    // Convert $date to timestamp for comparison
    $date_timestamp = strtotime($date);
    $tomorrow_timestamp = strtotime("tomorrow");
    $today_timestamp = strtotime("today");

    if ($job_type == 'Airport') {
        // Subtract airport_time in seconds
        $time_dispatch_timestamp = $time_timestamp - ($airport_time * 60);

    } 
    // elseif ($date_timestamp == $tomorrow_timestamp && $job_type = 'Airport') {
    //     // Subtract perbooking_time in seconds for jobs scheduled for tomorrow and not of type "Airport"
    //     $time_dispatch_timestamp = $time_timestamp - ($airport_time * 60);

    // }
    // elseif ($date_timestamp == $tomorrow_timestamp && $job_type != 'Airport') {
    //     // Subtract perbooking_time in seconds for jobs scheduled for tomorrow and not of type "Airport"
    //     $time_dispatch_timestamp = $time_timestamp - ($perbooking_time * 60);

    // } 
    // elseif ($date_timestamp == $today_timestamp && $job_type != 'Airport') {
    //     // If the date is today and job type is not "Airport", use the original time
    //     $time_dispatch_timestamp = $time_timestamp;

   // } 
    else {
        // Default to current time if no conditions match
        $time_dispatch_timestamp = $time_timestamp;
    }

    // Convert $time_dispatch_timestamp back to "H:i" format for database entry
    $time_dispatch = date("H:i", $time_dispatch_timestamp);
    echo "Time Dispatch: " . $time_dispatch;
}

    if ($bookingId) {
         $oldDataQuery = "SELECT * FROM `bookins` WHERE `id`='$bookingId'";
                $oldDataResult = mysqli_query($con, $oldDataQuery);
                $oldData = mysqli_fetch_assoc($oldDataResult);
                $edit_before = json_encode($oldData);
        $query = "UPDATE `bookins` SET 
                  `pickup`='$pick', 
                  `via`='$via', 
                  `via_Two`='$viaTwo', 
                  `via_three`='$viaThree', 
                  `via_four`='$viaFour', 
                  `dropoff`='$drop', 
                  `distance`='$distance', 
                  `fare`='$fare', 
                  `car_type`='$carType', 
                  `pax`='$pax',
                  `lead_time`='$time_dispatch',
                  `luggage`='$luggage',
                  `routeSelect`='$routeSelect', 
                  `date`='$date',
                  `time`='$time', 
                  `name`='$name', 
                  `email`='$email',
                  `phone`='$phone', 
                  `message`='$message',
                  `type`='$job_type',
                  `payment_type`='$payment_type',
                  `account`='$account',
                  `allocate_driverId`='$DriverID',
                  `pickupLatLong`='$pickupLatLon',
                  `dropLatLong`='$dropLatLon',
                  `flight`='$flight',
                  `airline`='$airline',
                  `coming`='$coming',
                  `congestion`='$congestion',
                  `card_reader`='$card_reader',
                  `food_delivery`='$food_delivery',
                  `help_cust`='$cust',
                  `low_car`='$low_car',
                  `mask`='$mask',
                  `non_smoking`='$non_smoking',
                  `pet_carrier`='$pet_carrier',
                  `screen`='$screen',
                  `meet_greet`='$meet_greet',
                  `ulze`='$ulez',
                  `Drv_Parking_Charges`='$drvPCharges',
                  `Drv_Waitting_Charges`='$drvWCharges',
                  `Extra_Charges`='$extraCharges',
                  `WT`='$wt',
                  `company_fare`='$company_fare',
                  `sub_company`='$sub_company'
                  WHERE `id`='$bookingId' AND `user_tenant_id`='$user_id'";
                  $result = mysqli_query($con, $query);
        
                if ($result) {
                    // Fetch the new data
                    $newDataQuery = "SELECT * FROM `bookins` WHERE `id`='$bookingId'";
                    $newDataResult = mysqli_query($con, $newDataQuery);
                    $newData = mysqli_fetch_assoc($newDataResult);
                    $edit_after = json_encode($newData); // Save new data as JSON
                    
                    // Insert history record
                    $insertHistoryQuery = "INSERT INTO `editjob_history` 
                    (`job_id`, `edit_before`, `edit_after`, `update_by`, `update_on`) 
                    VALUES ('$bookingId', '$edit_before', '$edit_after', '$book_by', '$book_on')";
                    mysqli_query($con, $insertHistoryQuery);
                }
                exit();
    } else {
        $query = "INSERT INTO `bookins`(`pickup`, `via`, `via_Two`, `via_Three`, `via_Four`, `dropoff`, `distance`, `fare`, `car_type`, `pax`, `luggage`, `routeSelect`, `date`, `time`, `name`, `email`, `phone`, `message`,`type`, `payment_type`,`account`, `allocate_driverId`,`pickupLatLong`,`dropLatLong`,`flight`,`airline`,`coming`,`congestion`,`card_reader`,`food_delivery`,`help_cust`,`low_car`,`mask`,`non_smoking`,`pet_carrier`,`screen`,`meet_greet`,`ulze`,`book_by`,`book_on`,`Drv_Parking_Charges`,`Drv_Waitting_Charges`,`Extra_Charges`,`WT`,`lead_time`,`second_time`,`sub_company`,`company_fare`,`user_tenant_id`) 
                  VALUES ('$pick','$via', '$viaTwo', '$viaThree', '$viaFour', '$drop','$distance','$fare','$carType','$pax','$luggage','$routeSelect','$date','$time','$name','$email','$phone','$message','$job_type','$payment_type','$account','$DriverID','$pickupLatLon','$dropLatLon','$flight','$airline','$coming','$congestion','$card_reader','$food_delivery','$cust','$low_car','$mask','$non_smoking','$pet_carrier','$screen','$meet_greet','$ulze','$book_by','$book_on','$drvPCharges','$drvWCharges','$extraCharges','$wt','$time_dispatch','$second_time','$sub_company','$company_fare','$user_id')";
    }

    $result = mysqli_query($con, $query);
    if ($result === false) {
        echo "Query failed: " . mysqli_error($con);
        echo "Query: " . $query;
    } else {
        // Check if the customer already exists in the customer table
        $checkQuery = "SELECT * FROM `customer` WHERE `phone` = '$phone' AND `pickup` = '$pick'";
        $checkResult = mysqli_query($con, $checkQuery);

        if (mysqli_num_rows($checkResult) == 0) {
            // If no existing record is found, insert the new customer data
            $insertCustomerQuery = "INSERT INTO `customer`(`name`, `phone`, `email`, `pickup`) VALUES ('$name', '$phone', '$email', '$pick')";
            mysqli_query($con, $insertCustomerQuery);
        }

        $savedData = [
            'pickup' => $pick,
            'via' => $via,
            'dropoff' => $drop,
            'distance' => $distance,
            'fare' => $fare,
            'carType' => $carType,
            'date' => $date,
            'time' => $time,
            'name' => $name,
            'email' => $email,
            'phone' => $phone,
            'message' => $message,
            'type' => $job_type,
            'payment_type' => $payment_type,
            'pax' => $pax,
            'luggage' => $luggage, 
            'card_reader' => $card_reader,
            'congestion' => $congestion,
            'food_delivery' => $food_delivery,
            'cust' => $cust,
            'low_car' => $low_car,
            'mask' => $mask,
            'non_smoking' => $non_smoking,
            'pet_carrier' => $pet_carrier,
            'screen' => $screen,
            'ulez' => $ulze,
            'meet_greet' => $meet_greet,
        ];
        echo json_encode($savedData);
    }
}
?>
