<?php
include('../db/db.php');
$searchTerm = isset($_GET['term']) ? $_GET['term'] : '';


$sql = "
    SELECT DISTINCT pickup AS suggestion FROM bookins WHERE pickup LIKE ? 
    UNION
    SELECT DISTINCT dropoff AS suggestion FROM bookins WHERE dropoff LIKE ?
";

$stmt = $con->prepare($sql);
$searchTermWithWildcard = '%' . $searchTerm . '%';
$stmt->bind_param("ss", $searchTermWithWildcard, $searchTermWithWildcard);

// Execute the query
$stmt->execute();
$result = $stmt->get_result();

// Fetch suggestions
$suggestions = [];
while ($row = $result->fetch_assoc()) {
    $suggestions[] = $row['suggestion'];
}

// Return suggestions as JSON
header('Content-Type: application/json');
echo json_encode($suggestions);

$con->close();
?>
