<?php
session_start();
header('Content-Type: application/json'); // Set the correct content type

include("../db/db.php");

$user_id = $_SESSION['user_tenant_id'] ?? null;

if (!$user_id) {
    echo json_encode(['status' => 'error', 'message' => 'User not logged in.']);
    exit;
}

if ($_SERVER["REQUEST_METHOD"] === "GET") {
    $checkQuery = "SELECT * FROM `short_cut` WHERE `user_tenant_id` = '$user_id'";
    $result = mysqli_query($con, $checkQuery);

    if (!$result) {
        echo json_encode(['status' => 'error', 'message' => 'Database query failed.', 'error' => mysqli_error($con)]);
        exit;
    }

    if (mysqli_num_rows($result) > 0) {
        $row = mysqli_fetch_assoc($result); // Fetch the entire row
        echo json_encode(['status' => 'success', 'data' => $row]); // Include all shortcut keys in the response
    } else {
        echo json_encode(['status' => 'error', 'message' => 'No shortcut key found.']);
    }
    exit;
} else {
    echo json_encode(['status' => 'error', 'message' => 'Invalid request method.']);
    exit;
}
