<?php 
include("../db/db.php");

// Set the timezone
date_default_timezone_set('Europe/London');

header('Content-Type: application/json');



if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $requestData = json_decode(file_get_contents('php://input'), true);

    if (isset($requestData['driverId']) && isset($requestData['password']) && isset($requestData['user_tenant_id']) && isset($requestData['token'])) {
        $driverId = mysqli_real_escape_string($con, $requestData['driverId']);
        $password = mysqli_real_escape_string($con, $requestData['password']);
        $user_id = mysqli_real_escape_string($con, $requestData['user_tenant_id']);
        $token = mysqli_real_escape_string($con, $requestData['token']);
 
        $query = "SELECT * FROM drivers WHERE Driver_id = '$driverId' AND Password = '$password' AND user_tenant_id= '$user_id'";
        $result = mysqli_query($con, $query);
        
        if ($result) {
            if (mysqli_num_rows($result) > 0) {
                $row = mysqli_fetch_assoc($result);
                $logtime = $row['plot'];
                
                if ($logtime == 'plot') {
                    echo json_encode(['success' => false, 'message' => 'Already Login']);
                } else {
                    $currentTime = date('H:i');
                     $fetchPositionQuery = "SELECT MAX(position) AS max_position FROM drivers WHERE plot = 'plot' AND user_tenant_id = '$user_id'";
                   $positionResult = mysqli_query($con, $fetchPositionQuery);
                    if ($positionResult) {
                     $rowPosition = mysqli_fetch_assoc($positionResult);
                     $maxPosition = isset($rowPosition['max_position']) ? $rowPosition['max_position'] : 0;

                    $newPosition = $maxPosition + 1;
                    $updateQuery = "UPDATE drivers SET plot = 'plot' , login_time = '$currentTime', logout='', logout_time='', position = '$newPosition', token = '$token' WHERE Driver_id = '$driverId' AND user_tenant_id = '$user_id'";
                    $updateResult = mysqli_query($con, $updateQuery);
                       if ($updateResult) {
                        $user = $row;

                        echo json_encode(['success' => true, 'message' => 'Login successful', 'user' => $user, 'api_key' => $api_key]);
                    } else {
                        echo json_encode(['success' => false, 'message' => 'Error updating driver status: ' . mysqli_error($con)]);
                    }
                    
                    }

                }
            } else {
                echo json_encode(['success' => false, 'message' => 'Invalid username or password']);
            }
        } else {
            echo json_encode(['success' => false, 'message' => 'Query execution failed: ' . mysqli_error($con)]);
        }
    } else {
        echo json_encode(['success' => false, 'message' => 'Invalid request. Please provide both username and password.']);
    }
} else {
    http_response_code(405);
    echo json_encode(['success' => false, 'message' => 'Method Not Allowed']);
}
?>
