<?php
include("../db/db.php");

header('Content-Type: application/json');

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $id = isset($_POST['id']) ? $_POST['id'] : null;
    $user_id = isset($_POST['user_tenant_id']) ? $_POST['user_tenant_id'] : null;

    if ($id !== null && $user_id !== null) {
        $currentTime = date('H:i'); // Current time
        $thresholdTime = date('H:i'); // Current time + 1.5 hours
        $tomorrow = date('m/d/Y', strtotime('+1 day')); // Next day

        // Query to fetch pre-booking jobs for tomorrow or jobs that are at least 1.5 hours from now
        $query = "
            SELECT * 
            FROM bookins 
            WHERE 
                dispatch_DriverId = '$id' 
                AND user_tenant_id = '$user_id' 
                AND (
                    (date = '$tomorrow') 
                    OR (date = '" . date('m/d/Y') . "' AND time > '$thresholdTime')
                )
                AND (status = '' OR status = 'At Pickup' OR status = 'Passenger On Board' OR status = 'On Route To The Destination')
        ";

        $result = mysqli_query($con, $query);

        if ($result) {
            $data = array();
            while ($row = mysqli_fetch_assoc($result)) {
                $data[] = $row;
            }

            if (count($data) > 0) {
                echo json_encode(array('success' => true, 'data' => $data));
            } else {
                echo json_encode(array('success' => false, 'message' => 'No pre-bookings available'));
            }

            mysqli_free_result($result);
        } else {
            echo json_encode(array('success' => false, 'message' => 'Error executing query: ' . mysqli_error($con)));
        }
    } else {
        echo json_encode(array('success' => false, 'message' => 'Please provide a driver ID and user_tenant_id'));
    }
} else {
    echo json_encode(array('success' => false, 'message' => 'Invalid request method'));
}

mysqli_close($con);
?>
