$(document).ready(function() {
    
    $('#openPopupButton').on('click', function() {
       console.log("hitting the sms button");
       $('#customPopupSMS').show();
   });

   // Close popup
   $('#clearClose, #SendSMS').on('click', function() {
       $('#customPopupSMS').hide();
    
   });

$('#dropdown').on('click', function(event) {
   event.preventDefault();
   $('#dropdownMenu').toggle();
});

$(document).on('click', function(event) {
   if (!$(event.target).closest('#dropdown, #dropdownMenu').length) {
       $('#dropdownMenu').hide();
   }
});

$('#pickDrivers').on('click', function() {
   fetchDrivers(); // Call the function to fetch drivers
   $('#driverPopup').show(); // Show the popup
});

$('#pickCustomers').on('click', function() {
   fetchCustomers(); // Call the function to fetch customers
   $('#customerPopup').show(); // Show the popup
});
$('#closePopup, #confirmSelection').on('click', function() {
   $('#driverPopup').hide();
});

$('#closePopupCustomer, #closedCustomer').on('click', function() {
   $('#customerPopup').hide();
});

$('#minimizePopup').on('click', function() {
   $('#customPopupSMS').hide();
   $('#minimizedPopup').show();
});

// Restore the popup when the minimized bar is clicked
$('#restorePopup').on('click', function() {
   $('#minimizedPopup').hide();
   $('#customPopupSMS').show();
});

});
document.addEventListener('DOMContentLoaded', function() {
    var routeSelect = document.getElementById('routeSelect');
    var waitingTime = document.getElementById('wt');

    // Initially disable the waiting time input
    waitingTime.disabled = true;

    // Add event listener to the route select dropdown
    routeSelect.addEventListener('change', function() {
        if (routeSelect.value === 'return') {
            waitingTime.disabled = false; // Enable the waiting time field
        } else {
            waitingTime.disabled = true;  // Disable the waiting time field
        }
    });
});
document.addEventListener("DOMContentLoaded", () => {
    const driverInput = document.getElementById("driver");
    const suggestionsBox = document.getElementById("suggestions");

    driverInput.addEventListener("input", function () {
        const query = driverInput.value.trim();
        suggestionsBox.innerHTML = ""; // Clear previous suggestions

        if (query) {
            const filteredDrivers = drivers.filter((driver, index) => {
                const name = driversName[index];
                return driver.startsWith(query) || name.toLowerCase().includes(query.toLowerCase());
            });

            if (filteredDrivers.length > 0) {
                suggestionsBox.style.display = "block";
                filteredDrivers.forEach((driver, index) => {
                    const name = driversName[drivers.indexOf(driver)];
                    const item = document.createElement("div");
                    item.className = "suggestion-item";
                    item.textContent = `${driver}- ${name}`;
                    item.addEventListener("click", () => {
                        driverInput.value = driver; // Set only the ID in the input field
                        suggestionsBox.style.display = "none"; // Hide suggestions
                    });
                    suggestionsBox.appendChild(item);
                });
            } else {
                suggestionsBox.style.display = "none";
            }
        } else {
            suggestionsBox.style.display = "none";
        }
    });

    // Hide suggestions when clicking outside
    document.addEventListener("click", function (e) {
        if (!suggestionsBox.contains(e.target) && e.target !== driverInput) {
            suggestionsBox.style.display = "none";
        }
    });
});

document.addEventListener('DOMContentLoaded', function() {
    const dropdownButton = document.querySelector('.dropdown-button');
    const dropdownContent = document.querySelector('.dropdown-content');

    dropdownButton.addEventListener('click', function() {
        dropdownContent.style.display = dropdownContent.style.display === 'block' ? 'none' : 'block';
    });

    document.addEventListener('click', function(event) {
        if (!dropdownButton.contains(event.target) && !dropdownContent.contains(event.target)) {
            dropdownContent.style.display = 'none';
        }
    });
});
$(document).ready(function() {
        $('#jobtype').change(function() {
            if ($(this).val() === 'Airport') {
                $('#flightmodal').modal('show');
            }
        });
});
function swapLocations() {
  
    var pickupInput = document.getElementById('pickup');
    var dropoffInput = document.getElementById('drops');
    
    // Swap the values
    var temp = pickupInput.value;
    pickupInput.value = dropoffInput.value;
    dropoffInput.value = temp;
}
$(document).ready(function() {
    $(".datepicker" ).datepicker({
         dateFormat: 'dd/mm/yy' ,
    });
});
var selectedJobId = null; // Variable to store the selected job ID

// Add a class to your job history table rows to make them clickable
$(document).on('click', '.userjobHistoryTable tbody tr', function() {
    // Remove the previous selection styling
    $('#userjobHistoryTable tbody tr').removeClass('selected-row');

    // Add selected styling to the clicked row
    $(this).addClass('selected-row');

    // Get the data for the selected job
    var selectedJob = $(this).find('td');
    
    // Store the selected job ID
    selectedJobId = selectedJob.eq(0).text();

    // Populate the hidden input fields with the selected job data
    $('#getFocuseId').val(selectedJobId);
    $('#name_pickdest').val(selectedJob.eq(7).text());
    $('#paymentType_pickdest').val(selectedJob.eq(8).text());
    $('#Account_value').val(selectedJob.eq(9).text());
    $('#phone_pickdest').val(selectedJob.eq(6).text());
    $('#from_pickdest').val(selectedJob.eq(2).text());
    $('#to_pickdest').val(selectedJob.eq(3).text());
    $('#price_pickdest').val(selectedJob.eq(5).text());
    $('#miles_pickdest').val(selectedJob.eq(4).text());
    $('#time_pickdest').val(selectedJob.eq(12).text()); 
    $('#carType_pickdest').val(selectedJob.eq(11).text());
    $('#driver_pickdest').val(selectedJob.eq(10).text());
    // Add more fields as needed
});

// Handle the "PickUp and Destination" button click
$('#pickanddestination').click(function() {
    // Check if a job is selected
    if (selectedJobId !== null) {
        // Set the job type to "PickUp and Destination"
        
        
        // Add logic to update the form fields based on selectedJobId
        // For example:
         $('#name').val($('#name_pickdest').val());
        $('#Payment_Type').val($('#paymentType_pickdest').val());
        $('#pickup').val($('#from_pickdest').val());
        $('#drops').val($('#to_pickdest').val());
        $('#priceVal').val($('#price_pickdest').val());
        $('#display_distance').val($('#miles_pickdest').val());
        $('#cartype').val($('#driver_pickdest').val());
        $('#Times').val($('#time_pickdest').val());
        // $('#driver').val($('#driver_pickdest').val());
         $('#Account').val($('#Account_value').val());
        
        // Show the modal if it's not already open
        $('#exampleModalhistory').modal('hide');
    } else {
        // Inform the user to select a job first
        alert('Please select a job from the history.');
    }
});

// Handle the "PickUp Only" button click
$('#pickuponly').click(function() {
    // Check if a job is selected
    if (selectedJobId !== null) {
        // Set the job type to "PickUp Only"

        
        // Add logic to update the form fields based on selectedJobId
        // For example:
        var pickupValue = $('#from_pickdest').val();
        $('#pickup').val(pickupValue);
        $('#name').val($('#name_pickdest').val());
        
        // Clear the drop field to avoid duplication
        $('#drops').val('');
        $('#Payment_Type').val('');

        $('#priceVal').val('');
        $('#display_distance').val('');
        $('#cartype').val('');
        $('#Times').val('');
        $('#driver').val('');
        
    
        $('#exampleModalhistory').modal('hide');
    } else {
      
        alert('Please select a job from the history.');
    }
});

function setLondonTimeAndDate() {
    // Create a new Date object
    const now = new Date();

    // Get the London timezone
    const options = {
        timeZone: 'Europe/London', // Set to London timezone
        year: 'numeric',
        month: '2-digit',
        day: '2-digit',
        hour: '2-digit',
        minute: '2-digit',
        hour12: false
    };

    // Format the date and time to dd/mm/yyyy and HH:MM
    const londonDateTime = now.toLocaleString('en-GB', options);

    // Extract date and time separately
    const [date, time] = londonDateTime.split(', ');

    // Set the value to the hidden input field in the format "dd/mm/yyyy HH:MM"
    document.getElementById('book_on').value = `${date} ${time}`;
}

// Call the function when the page loads
setLondonTimeAndDate();


function updateDateTime() {
    const now = new Date();
    
    // Get the London time using Intl.DateTimeFormat
    const options = {
        timeZone: 'Europe/London',
        hour: '2-digit',
        minute: '2-digit',
        second: '2-digit', // Include seconds
        hour12: false
    };
    
    const londonTime = new Intl.DateTimeFormat('en-GB', options).formatToParts(now);
    
    // Extract time components
    let hours, minutes, seconds;
    londonTime.forEach(({ type, value }) => {
        if (type === 'hour') hours = value;
        if (type === 'minute') minutes = value;
        if (type === 'second') seconds = value; // Extract seconds
    });

    const formattedTime = `${hours}:${minutes}:${seconds}`; // Include seconds in the formatted time
    
    // Format the date
    const dateOptions = { timeZone: 'Europe/London', day: '2-digit', month: '2-digit', year: 'numeric' };
    const londonDate = new Intl.DateTimeFormat('en-GB', dateOptions).format(now);

    const dateTimeString = `${londonDate} ${formattedTime}`;

    document.getElementById('current-date-time').textContent = dateTimeString;


    // Log date and time for debugging
    console.log(`Date and Time: ${dateTimeString}`);
}
document.addEventListener("DOMContentLoaded", function() {
    const table = document.getElementById('userjobHistoryTable');
    const tbody = table.getElementsByTagName('tbody')[0];
    const heightDiv = document.getElementById('height');

    const observer = new MutationObserver(function(mutations) {
        const rows = tbody.getElementsByTagName('tr');
        if (rows.length > 10) {
            heightDiv.style.height = "300px";
            heightDiv.style.overflowY = "auto"; // Enable vertical scrolling
        }
    });

    // Start observing the target node for configured mutations
    observer.observe(tbody, { childList: true });
});