<?php
include "middleware/middleware.php";
$pageTitle = 'Management';
include "include/header.php";

?>
<style>
    .background {
        background:
            <?php echo ($row['navbar_color']) ?>
            !important;
        color:
            <?php echo ($row['font_color']) ?>
            !important;
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    font-weight: 700;
    }
    .border-color{
border-bottom: 8px solid <?php echo($row['navbar_color']); ?>; /* Add color to bottom border */
border-left: 8px solid <?php echo($row['navbar_color']); ?>; /* Add color to left border */
border-right: 8px solid <?php echo($row['navbar_color']); ?>;
    }
    .scroll-bar {
        scrollbar-color:
            <?php echo ($row['scroll_color']) ?>
            white;
    }

    input {
        height: 30px !important;
        font-family: 'Poppins';
        color:
            <?php echo ($row['navbar_color']) ?>
            !important;
    }

    input::placeholder {
        color:
            <?php echo ($row['navbar_color']) ?>
            !important;
        /* Replace #999 with the color you want */
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    }
    .boxshadow {
               box-shadow: 0px 4px 2px <?php echo $row['icon_color'] ?>;
                }
    select {
        color:
            <?php echo ($row['navbar_color']) ?>
            !important;
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    }
.bottom{
     color:<?php echo($row['navbar_color'])?>!important ; /* Replace #999 with the color you want */
}
    table tbody {
        font-weight: 700;
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    }

    .form-control {
        display: block;
        width: 100%;
        margin-bottom: 5px;
        padding: 1px 5px;
        font-size: 1rem;
        font-weight: 400;
        line-height: 1.5;
        color: #212529;
        background-color: #fff;
        background-clip: padding-box;
        border: 1px solid #ced4da;
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
        border-radius: 0.25rem;
        transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    }

    table.dataTable tbody td {
        padding: 0px 13px;
        font-weight: 700;
        border: 1px solid #e9ecef;
    }
table.dataTable thead .sorting_desc {
     background-image: url(../images/sort_desc) !important; 
}
    table.dataTable thead th {
        padding: 0px 9px !important;
        height: 30px !important;
        border-bottom: 1px solid #111;
        vertical-align: middle;
        font-size: 13px;
        text-wrap: nowrap;
        border: 1px solid #e9ecef;
    }

    .table>:not(:last-child)>:last-child>* {
        border-bottom-color: #fff !important;
    }

    .card-body {
        flex: 1 1 auto;
        padding: 10px 0px;
    }
    h5 {
        font-family: 'Poppins';
    }
            .toastr-green{
        background-color:<?php echo($row['notification_color'])?>!important ;
    }
    .suggestions {
        border: 1px solid #ccc;
        max-height: 150px;
        overflow:scroll;
        display: none; /* Initially hidden */
        position: absolute; /* Position it relative to the input */
        z-index: 1000; /* Make sure it's above other elements */
        background-color: white;
        width:285px;
     scrollbar-color:<?php echo ($row['scroll_color']) ?> white;
     /*top:138px;*/

    }
    .suggestion-item {
        padding: 6px;
        cursor: pointer;
        font-size:13px;
    }
    .suggestion-item:hover {
           background:<?php echo($row['navbar_color'])?>!important ;
        color:<?php echo ($row['font_color']) ?> !important;
        font-family: <?php echo($row['themefont_family'])?>!important; /* Highlight on hover */
    }
    .mapboxgl-ctrl-geocoder .suggestions{
    overflow: scroll !important;
}
.mapboxgl-ctrl-geocoder input[type='text']{
    font-size: 16px !important;
    font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
}
.mapboxgl-ctrl-geocoder{
    width:100% !important;
    margin: 0px !important;
}
.mapboxgl-ctrl-top-right,
.mapboxgl-ctrl-geocoder--icon-search{
    display: none !important;
}
       #map_canvas {
    width: 100%; /* Full width */
    height: 400px; /* Set height */
    position: relative; /* Ensure it can size correctly */
}
</style>
<div class="border-color">
<div class="container-fluid  py-1 p-0"  style="">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12 shadow">
                <ul class="nav nav-tabs py-2" id="myTab" role="tablist">

                                             <li class="nav-item" role="presentation">
                        <a class="nav-link" href="fare.php"
                            style="margin-left:10px;">Manage Fares</a>
                    </li>
                    <li class="nav-item " role="presentation">
                        <a class="nav-link background" href="place.php"
                            style="color:White; margin-left:10px;">Manage Places</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="driver_shift.php"
                            style="color:White; margin-left:10px;">Manage Shifts</a>
                    </li>
                         <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="usercontrol.php"
                            style="color:White; margin-left:10px;">Manage Operators</a>
                    </li>

                </ul>
            </div>
        </div>
    </div>
</div>

<section class="h-100">
    <div class="container-fluid mt-1 py-1" style="overflow:hidden">
        <div class="row" style="margin: 0px 0px;">
            <div class="container-fluid p-0 mb-1 py-1">
                <div class="row mt-1">
                    <div class="col-md-4  p-0">
                        <div class="card " style="background-color:#e9e9eb;">
                            <div class="card-header border-0 background" style="color:white;">
                                <div class="row align-items-center">
                                    <div class="col">
                                        <h5 class="mb-0 text-center" style="font-size:15px">Mileage Rate</h5>
                                    </div>

                                </div>
                            </div>

                            <div class="card-body thead-light">
                                <form action="action/action.php" method="POST">
                                    <input name="__RequestVerificationToken" type="hidden"
                                        value="u-X0zvJU2uX13_ytBr6AnNIijTBDutk2hqywwC1FGcpLSJWODRm-ewQXt8NaCnUh1iB9tPKdGOPlW5zIplJZ8_9wAsxs-vVYFlgs9xdc_Tc1">
                                    <div class="row justify-content-center">
                                        <div class="col-md-9">
                                            <div class="row">
                                                <div class="col-md-6 px-1">
                                                    <input type="hidden" name="editId" id="id">
                                                    <input class="form-control h-auto text-box single-line"
                                                        data-val="true"
                                                        data-val-number="The field MileFrom must be a number."
                                                        data-val-required="The MileFrom field is required."
                                                        id="MileFrom" name="mile_from" placeholder="Miles from"
                                                        type="number" value="">
                                                    <span class="field-validation-valid text-danger"
                                                        data-valmsg-for="MileFrom" data-valmsg-replace="true"></span>
                                                </div>
                                                <div class="col-md-6 px-1">
                                                    <input class="form-control h-auto text-box single-line"
                                                        data-val="true"
                                                        data-val-number="The field MileTo must be a number."
                                                        data-val-required="The MileTo field is required." id="MileTo"
                                                        name="mile_to" placeholder="Miles To" type="number" value="">
                                                    <span class="field-validation-valid text-danger"
                                                        data-valmsg-for="MileTo" data-valmsg-replace="true"></span>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-4 px-1">
                                                    <div class="col-sm-12">
                                                        <input class="form-control h-auto text-box single-line"
                                                            data-val="true"
                                                            data-val-number="The field EclassFirstMile must be a number."
                                                            data-val-required="The EclassFirstMile field is required."
                                                            id="EclassFirstMile" name="first_mile"
                                                            placeholder="1st Mile" type="text" value="">
                                                        <span class="field-validation-valid text-danger"
                                                            data-valmsg-for="EclassFirstMile"
                                                            data-valmsg-replace="true"></span>
                                                    </div>
                                                </div>
                                                <div class="col-md-4 px-0">
                                                    <div class="col-sm-12">
                                                        <input class="form-control h-auto  text-box single-line"
                                                            data-val="true"
                                                            data-val-number="The field EclassPerMile must be a number."
                                                            data-val-required="The EclassPerMile field is required."
                                                            id="EclassPerMile" name="per_mile" placeholder="Per Mile"
                                                            type="text" value="">
                                                        <span class="field-validation-valid text-danger"
                                                            data-valmsg-for="EclassPerMile"
                                                            data-valmsg-replace="true"></span>
                                                    </div>
                                                </div>
                                                <div class="col-md-4 px-1">
                                                    <?php
                                                    include("db/db.php");
                                                    $user_id = $_SESSION['user_tenant_id'];
                                                    
                                                    // Query to get the vehicle_type
                                                    $query = "SELECT vehicle_type FROM users WHERE user_tenant_id='$user_id'";
                                                    $result = mysqli_query($con, $query);
                                                
                                                    // Check if the query returned a result
                                                    if ($result && mysqli_num_rows($result) > 0) {
                                                        // Fetch the row
                                                        $row = mysqli_fetch_assoc($result);
                                                        // Get the comma-separated vehicle types
                                                        $vehicle_type = $row['vehicle_type'];
                                                        // Split the string into an array
                                                        $vehicle_types_array = explode(',', $vehicle_type);
                                                    }
                                                    ?>
                                                    <div class="col-sm-12">
                                                        <!-- Select dropdown -->
                                                        <select name="car_type" class="" id="car_type"
                                                            style="display: block; width: 100%; margin-bottom: 5px; padding: 1px 4px; font-size: 1rem; font-weight: 400; border: 1px solid #ced4da; border-radius: 0.25rem; line-height: 1.5;">
                                                            <?php
                                                            // Loop through the vehicle types and create individual options
                                                            if (!empty($vehicle_types_array)) {
                                                                foreach ($vehicle_types_array as $type) {
                                                                    // Trim any extra spaces
                                                                    $type = trim($type);
                                                                    echo '<option value="' . htmlspecialchars($type) . '">' . htmlspecialchars($type) . '</option>';
                                                                }
                                                            } else {
                                                                // Handle case where no vehicle types are found
                                                                echo '<option value="">No vehicles available</option>';
                                                            }
                                                            ?>
                                                        </select>
                                                    </div>
                                                </div>

                                            </div>
                                            <!--                                        <div class="row">-->
                                            <!--                                            <div class="col-md-6 px-1">-->
                                            <!--                                                <div class="row">-->
                                            <!--                                                    <div class="col-sm-2">-->
                                            <!--                                                        <input type="checkbox" id="check_inc">-->
                                            <!--                                                    </div>-->
                                            <!--                                                    <div class="col-sm-10">-->


                                            <!--                                                        <select name=""-->
                                            <!--                                                            style="display: block; width: 110%; margin-bottom: 5px; padding: 1px 4px;font-size: 1rem;font-weight: 400; border: 1px solid #ced4da; border-radius: 0.25rem;line-height: 1.5;position: relative;-->
                                            <!--right: 20px;"-->
                                            <!--                                                            id="inc" disabled>-->

                                            <!--                                                            <option value="">Increase Price</option>-->
                                            <!--                                                            <option value="1">1%</option>-->
                                            <!--                                                            <option value="2">2%</option>-->
                                            <!--                                                            <option value="3">3%</option>-->
                                            <!--                                                            <option value="4">4%</option>-->
                                            <!--                                                            <option value="5">5%</option>-->
                                            <!--                                                            <option value="6">6%</option>-->
                                            <!--                                                            <option value="7">7%</option>-->
                                            <!--                                                            <option value="8">8%</option>-->
                                            <!--                                                            <option value="9">9%</option>-->
                                            <!--                                                            <option value="10">10%</option>-->
                                            <!--                                                            <option value="11">11%</option>-->
                                            <!--                                                            <option value="12">12%</option>-->
                                            <!--                                                            <option value="13">13%</option>-->
                                            <!--                                                            <option value="14">14%</option>-->
                                            <!--                                                            <option value="15">15%</option>-->
                                            <!--                                                            <option value="16">16%</option>-->
                                            <!--                                                            <option value="17">17%</option>-->
                                            <!--                                                            <option value="18">18%</option>-->
                                            <!--                                                            <option value="19">19%</option>-->
                                            <!--                                                            <option value="20%">20%</option>-->
                                            <!--                                                        </select>-->
                                            <!--                                                    </div>-->


                                            <!--                                                </div>-->
                                            <!--                                            </div>-->
                                            <!--                                            <div class="col-md-6 px-1">-->

                                            <!--                                                <div class="row">-->
                                            <!--                                                    <div class="col-sm-2">-->
                                            <!--                                                        <input type="checkbox" id="check_dec">-->
                                            <!--                                                    </div>-->
                                            <!--                                                    <div class="col-sm-10">-->


                                            <!--                                                        <select name=""-->
                                            <!--                                                            style="display: block; width: 110%; margin-bottom: 5px; padding: 1px 4px;font-size: 1rem;font-weight: 400; border: 1px solid #ced4da; border-radius: 0.25rem;line-height: 1.5;position: relative;-->
                                            <!--right: 20px;"-->
                                            <!--                                                            id="dec" disabled>-->

                                            <!--                                                            <option value="">Decrease Price</option>-->
                                            <!--                                                            <option value="1">1%</option>-->
                                            <!--                                                            <option value="2">2%</option>-->
                                            <!--                                                            <option value="3">3%</option>-->
                                            <!--                                                            <option value="4">4%</option>-->
                                            <!--                                                            <option value="5">5%</option>-->
                                            <!--                                                            <option value="6">6%</option>-->
                                            <!--                                                            <option value="7">7%</option>-->
                                            <!--                                                            <option value="8">8%</option>-->
                                            <!--                                                            <option value="9">9%</option>-->
                                            <!--                                                            <option value="10">10%</option>-->
                                            <!--                                                            <option value="11">11%</option>-->
                                            <!--                                                            <option value="12">12%</option>-->
                                            <!--                                                            <option value="13">13%</option>-->
                                            <!--                                                            <option value="14">14%</option>-->
                                            <!--                                                            <option value="15">15%</option>-->
                                            <!--                                                            <option value="16">16%</option>-->
                                            <!--                                                            <option value="17">17%</option>-->
                                            <!--                                                            <option value="18">18%</option>-->
                                            <!--                                                            <option value="19">19%</option>-->
                                            <!--                                                            <option value="20%">20%</option>-->

                                            <!--                                                        </select>-->
                                            <!--                                                    </div>-->


                                            <!--                                                </div>-->


                                            <!--                                            </div>-->

                                            <!--                                        </div>-->
                                            <!-- Ensure that the name attribute of the submit button is 'submit' -->
                                            <button class="btn background" id="mileage_rate"
                                                style="color:white;margin-left: -6px;padding: 3px 20px;font-size: 12px;"
                                                type="submit" name="submit">Add</button>
                                        </div>
                                    </div>
                                </form>

                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 ">
                        <div class="card " style="background-color:#e9e9eb;">
                            <div class="card-header border-0 background" style="color:white;">
                                <div class="row align-items-center">
                                    <div class="col">
                                        <h5 class="mb-0 text-center" style="font-size:15px">Plot To Plot Rate</h5>
                                    </div>
                                </div>
                            </div>

                            <div class="card-body thead-light">
                                <form action="action/action.php" method="post"><input name="__RequestVerificationToken"
                                        type="hidden"
                                        value="5UkILupMa2g-CmYa8dzOBQc5cNaiQvWFq_2kpA20KuTI-_1-sGKE1dNBAwe4ESK7iorMOm2_8YEmkN62mzk3TeygjXWfoLJtdXc-vLauV6o1">
                                    <div class="row justify-content-center">
                                        <div class="col-md-9">
                                            <div class="row">
                                                <div class="col-md-6 px-1">

                                                    <div class="col-sm-12">
                                                        <input type="hidden" name="editId" id="horly_id">
                                                           <?php
                                                        include("db/db.php");
                                                        $user_id = $_SESSION['user_tenant_id'];
                                                        $query = "SELECT * FROM plot WHERE user_tenant_id='$user_id'";
                                                        $result = mysqli_query($con, $query);
                                                        ?>
                                                        <select name="hours_range_from" class="" id="HourFrom"
                                                            style="display: block; width: 100%; margin-bottom: 5px; padding: 1px 4px;font-size: 1rem;font-weight: 400; border: 1px solid #ced4da; border-radius: 0.25rem;line-height: 1.5;">
                                                            <option value="">Plot From</option>
                                                            <?php
                                                            while ($row = mysqli_fetch_assoc($result)) {
                                                                    $name = $row['Name'];
                                                                echo '<option value="' . $name . '" title="' . $name . '">' . $name . '</option>';
                                                            }
                                                            ?>
                                                        </select>
                                                            <input type="text" value="" id="plot_from" name="plot_from" style="display:none;">
                                                    </div>


                                                </div>
                                                <div class="col-md-6 px-1">

                                                    <div class="col-sm-12">
                                                          <?php
                                                        include("db/db.php");
                                                        $user_id = $_SESSION['user_tenant_id'];
                                                        $query = "SELECT * FROM plot WHERE user_tenant_id='$user_id'";
                                                        $result = mysqli_query($con, $query);
                                                        ?>
                                                        <select name="hours_range_to" class="" id="HourTo"
                                                            style="display: block; width: 100%; margin-bottom: 5px; padding: 1px 4px;font-size: 1rem;font-weight: 400; border: 1px solid #ced4da; border-radius: 0.25rem;line-height: 1.5;">
                                                            <option value="">Plot To</option>
                                                            <?php
                                                            while ($row = mysqli_fetch_assoc($result)) {
                                                                $name = $row['Name'];
                                                                echo '<option value="' . $name . '" title="' . $name . '">' . $name . '</option>';
                                                            }
                                                            ?>
                                                        </select>
                                                        <input type="text" value="" id="plot_to" name="plot_to" style="display:none;">
                                                    </div>


                                                </div>

                                            </div>
                                            <div class="row">
                                                <div class="col-md-6 px-1">

                                                    <div class="col-sm-12">
                                                        <input class="form-control h-auto text-box single-line"
                                                            data-val="true"
                                                            data-val-number="The field EclassPerHour must be a number."
                                                            data-val-required="The EclassPerHour field is required."
                                                            id="EclassPerHour" name="price_per_hour"
                                                            placeholder="Price" type="number" value="">
                                                        <span class="field-validation-valid text-danger"
                                                            data-valmsg-for="EclassPerHour"
                                                            data-valmsg-replace="true"></span>
                                                    </div>


                                                </div>

                                                <div class="col-md-6 px-1">

                                                    <?php
                                                    include("db/db.php");
                                                    $user_id = $_SESSION['user_tenant_id'];
                                                    
                                                    // Query to get the vehicle_type
                                                    $query = "SELECT vehicle_type FROM users WHERE user_tenant_id='$user_id'";
                                                    $result = mysqli_query($con, $query);
                                                
                                                    // Check if the query returned a result
                                                    if ($result && mysqli_num_rows($result) > 0) {
                                                        // Fetch the row
                                                        $row = mysqli_fetch_assoc($result);
                                                        // Get the comma-separated vehicle types
                                                        $vehicle_type = $row['vehicle_type'];
                                                        // Split the string into an array
                                                        $vehicle_types_array = explode(',', $vehicle_type);
                                                    }
                                                    ?>
                                                    <div class="col-sm-12">
                                                        <!-- Select dropdown -->
                                                        <select name="car_type" class="" id="car_type"
                                                            style="display: block; width: 100%; margin-bottom: 5px; padding: 1px 4px; font-size: 1rem; font-weight: 400; border: 1px solid #ced4da; border-radius: 0.25rem; line-height: 1.5;">
                                                            <?php
                                                            // Loop through the vehicle types and create individual options
                                                            if (!empty($vehicle_types_array)) {
                                                                foreach ($vehicle_types_array as $type) {
                                                                    // Trim any extra spaces
                                                                    $type = trim($type);
                                                                    echo '<option value="' . htmlspecialchars($type) . '">' . htmlspecialchars($type) . '</option>';
                                                                }
                                                            } else {
                                                                // Handle case where no vehicle types are found
                                                                echo '<option value="">No vehicles available</option>';
                                                            }
                                                            ?>
                                                        </select>
                                                    </div>


                                                </div>
                                            </div>
                                            <button class="btn background"
                                                style="color:white;margin-left: -6px;padding: 3px 20px;font-size: 12px;"
                                                type="submit" name="hour">Add</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 p-0">
                        <div class="card " style="background-color:#e9e9eb;">
                            <div class="card-header border-0 background" style="color:white;">
                                <div class="row align-items-center">
                                    <div class="col">
                                        <h5 class="mb-0 text-center" style="font-size:15px">Fixed Rate</h5>
                                    </div>
                                </div>
                            </div>

                            <div class="card-body thead-light">
                                <form action="action/action.php" method="post"><input name="__RequestVerificationToken"
                                        type="hidden"
                                        value="5UkILupMa2g-CmYa8dzOBQc5cNaiQvWFq_2kpA20KuTI-_1-sGKE1dNBAwe4ESK7iorMOm2_8YEmkN62mzk3TeygjXWfoLJtdXc-vLauV6o1">
                                    <div class="row justify-content-center">
                                        <div class="col-md-9">
                                            <div class="row">
                                                <div class="col-md-6 px-1">
                                                    <div class="col-sm-12">
                                                        <input type="hidden" name="editId" id="fixed_id">
                                                        <?php
                                                        include("db/db.php");
                                                        $user_id = $_SESSION['user_tenant_id'];
                                                        $query = "SELECT * FROM place WHERE user_tenant_id='$user_id'";
                                                        $result = mysqli_query($con, $query);
                                                
                                                        function trimWords($text, $wordLimit) {
                                                            $words = explode(' ', $text);
                                                            if (count($words) > $wordLimit) {
                                                                return implode(' ', array_slice($words, 0, $wordLimit)) . '...';
                                                            }
                                                            return $text;
                                                        }
                                                        ?>
                                                        <select name="pick_up" class="" id="pick_up"
                                                            style="display: block; width: 100%; margin-bottom: 5px; padding: 1px 4px;font-size: 1rem;font-weight: 400; border: 1px solid #ced4da; border-radius: 0.25rem;line-height: 1.5;">
                                                            <option value="">Pick Up</option>
                                                            <?php
                                                            while ($row = mysqli_fetch_assoc($result)) {
                                                                $address = $row['address'];
                                                                $displayAddress = trimWords($address, 2);
                                                                echo '<option value="' . $address . '" title="' . $address . '">' . $displayAddress . '</option>';
                                                            }
                                                            ?>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-6 px-1">
                                                    <div class="col-sm-12">
                                                        <?php
                                                        include("db/db.php");
                                                        $user_id = $_SESSION['user_tenant_id'];
                                                        $query = "SELECT * FROM place WHERE user_tenant_id='$user_id'";
                                                        $result = mysqli_query($con, $query);
                                                        ?>
                                                        <select name="drop_off" class="" id="drop_off"
                                                            style="display: block; width: 100%; margin-bottom: 5px; padding: 1px 4px;font-size: 1rem;font-weight: 400; border: 1px solid #ced4da; border-radius: 0.25rem;line-height: 1.5;">
                                                            <option value="">Drop Off</option>
                                                            <?php
                                                            while ($row = mysqli_fetch_assoc($result)) {
                                                                $address = $row['address'];
                                                                $displayAddress = trimWords($address, 2);
                                                                echo '<option value="' . $address . '" title="' . $address . '">' . $displayAddress . '</option>';
                                                            }
                                                            ?>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6 px-1">

                                                    <div class="col-sm-12">
                                                        <input class="form-control h-auto text-box single-line"
                                                            data-val="true"
                                                            data-val-number="The field EclassPerHour must be a number."
                                                            data-val-required="The EclassPerHour field is required."
                                                            id="fixed_price" name="fix_price" placeholder="Fix Price"
                                                            type="text">
                                                        <span class="field-validation-valid text-danger"
                                                            data-valmsg-for="EclassPerHour"
                                                            data-valmsg-replace="true"></span>
                                                    </div>


                                                </div>

                                                <div class="col-md-6 px-1">

                                                     <?php
                                                    include("db/db.php");
                                                    $user_id = $_SESSION['user_tenant_id'];
                                                    
                                                    // Query to get the vehicle_type
                                                    $query = "SELECT vehicle_type FROM users WHERE user_tenant_id='$user_id'";
                                                    $result = mysqli_query($con, $query);
                                                
                                                    // Check if the query returned a result
                                                    if ($result && mysqli_num_rows($result) > 0) {
                                                        // Fetch the row
                                                        $row = mysqli_fetch_assoc($result);
                                                        // Get the comma-separated vehicle types
                                                        $vehicle_type = $row['vehicle_type'];
                                                        // Split the string into an array
                                                        $vehicle_types_array = explode(',', $vehicle_type);
                                                    }
                                                    ?>
                                                    <div class="col-sm-12">
                                                        <!-- Select dropdown -->
                                                        <select name="car_type" class="" id="car_type"
                                                            style="display: block; width: 100%; margin-bottom: 5px; padding: 1px 4px; font-size: 1rem; font-weight: 400; border: 1px solid #ced4da; border-radius: 0.25rem; line-height: 1.5;">
                                                            <?php
                                                            // Loop through the vehicle types and create individual options
                                                            if (!empty($vehicle_types_array)) {
                                                                foreach ($vehicle_types_array as $type) {
                                                                    // Trim any extra spaces
                                                                    $type = trim($type);
                                                                    echo '<option value="' . htmlspecialchars($type) . '">' . htmlspecialchars($type) . '</option>';
                                                                }
                                                            } else {
                                                                // Handle case where no vehicle types are found
                                                                echo '<option value="">No vehicles available</option>';
                                                            }
                                                            ?>
                                                        </select>
                                                    </div>


                                                </div>
                                            </div>
                                            <button class="btn background"
                                                style="color:white;margin-left: -6px;padding: 3px 20px;font-size: 12px;"
                                                type="submit" name="fixed">Add</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
</section>
<section class="distance-rate h-100 p-0 py-1">
    <div class="container-fluid" style="">
        <div class="row">
            <div class="col-12 d-flex align-items-center p-0" style="margin-bottom:10px;">

            <style>
 @media screen and (min-width: 1200px) {
        .job_table {
            height: calc(30vh - 100px);
            overflow-y: auto;
            overflow-x: hidden;
        }
    }
      @media screen and (min-width: 1500px) {
        .job_table {
            height: calc(30vh - 100px);
            overflow-y: auto;
            overflow-x: hidden;
        }
    }

    @media screen and (min-width: 1760px) {
        .job_table {
            height: calc(30vh - 100px); /* Adjust 100px as needed based on your header and footer heights */
            overflow-y: auto;
            overflow-x: hidden;
        }
    }
    @media screen and (min-width: 2370px) {
        .job_table {
            height: calc(30vh - 100px); /* Adjust 100px as needed based on your header and footer heights */
            overflow-y: auto;
            overflow-x: hidden;
        }
    }
</style>

                <div class="col-4 scroll-bar job_table " style="overflow:scroll;border: 1px solid #cfd6de;
                                        margin-top: 7px;
                                        margin-bottom: 0px;">
                    <table id="fareTable" class="table table-striped text-canter">
                        <style>
                            table.dataTable.no-footer {
                                border-bottom: 0px solid #dee2e6;
                            }

                            .table>:not(:last-child)>:last-child>* {
                                border-bottom-color: #6f42c1;
                            }
                        </style>

                        <thead class="border background" style="font-size:10px;font-family: poppins;">
                            <tr class="text-light">
                                <th class="sorting sorting_asc background" tabindex="0" aria-controls="example" colspan="1"
                                    style="width: 125.688px;" aria-sort="ascending"
                                    aria-label="Car Type: activate to sort column descending">Car Type</th>
                                <th class="sorting background" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                                    style="width: 110.578px;"
                                    aria-label="Miles Range: activate to sort column ascending">
                                    Miles Range</th>
                                <th class="sorting background" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                                    style="width: 110.578px;" aria-label="1st Mile: activate to sort column ascending">
                                    1st
                                    Mile</th>
                                <th class="sorting background" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                                    style="width: 112.516px;" aria-label="Per Mile: activate to sort column ascending">
                                    Per
                                    Mile</th>
                                <th class="background" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                                    style="width: 126.969px;">
                                    Actions</th>
                            </tr>
                        </thead>
                        <tbody style="font-family: poppins;">
                            <?php
                            include "db/db.php";
                            $user_id = $_SESSION['user_tenant_id'];
                            $con = mysqli_connect($serverName, $userName, $password, $dbName);
                            if (mysqli_error($con)) {
                                echo 'Error connecting to database:' . mysqli_error($con);
                            }

                            $carTypes = array("Saloon", "Estate", "MPV", "Executive", "8 Seater", "9 Seater", "E Class Mercedes", "S Class Mercedes", "V Class Mercedes", "BMW", "Bentley", "Rolls Royce");

                            foreach ($carTypes as $carType) {
                                $query = "SELECT * FROM fare_amount WHERE car_type='$carType' AND user_tenant_id='$user_id'";
                                $result = mysqli_query($con, $query);

                                if (mysqli_num_rows($result) > 0) {
                                    while ($row = mysqli_fetch_assoc($result)) {
                                        echo "<tr class=''  data='{$row['id']}'>";
                                        echo "<td class='text-canter'>$carType</td>";
                                        echo "<td class='text-canter'>{$row['miles_from']} - {$row['miles_to']}</td>";
                                        echo "<td class='text-canter'>£{$row['first_mile_price']}</td>";
                                        echo "<td class='text-canter'>£{$row['per_mile_price']}</td>";
                                        echo "<td class='text-canter'><a  class='editMile btn background'style='display: inline-block;
                                             font-weight: 400;
                                            line-height: 1.5;
                                            color: #212529;
                                            text-align: center;
                                            text-decoration: none;
                                            vertical-align: middle;
                                            cursor: pointer;
                                            -webkit-user-select: none;
                                            -moz-user-select: none;
                                            user-select: none;
                                            background-color: transparent;
                                             border: 1px solid transparent;
                                            padding: 0PX 20PX;
                                            font-size: 10PX;
                                            color: #fff;
                                            border-radius: 0.25rem;
                                            transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
                                        ' data-id='{$row['id']}' href='#'>Edit</a> | <a class='btn background' style='display: inline-block;
                                            font-weight: 400;
                                            line-height: 1.5;
                                            color: #212529;
                                            text-align: center;
                                            text-decoration: none;
                                            vertical-align: middle;
                                             cursor: pointer;
                                            -webkit-user-select: none;
                                            -moz-user-select: none;
                                            user-select: none;
                                            background-color: transparent;
                                            border: 1px solid transparent;
                                         padding: 0PX 20PX;
                                            color: #fff;
                                         font-size: 10PX;
                                         border-radius: 0.25rem;
                                         transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
                                        ' href='deleteFare.php?id={$row['id']}'>Delete</a></td>";
                                        echo "</tr>";
                                    }
                                }
                            }

                            mysqli_close($con);
                            ?>
                        </tbody>
                    </table>
                </div>
                <div class="col-4 scroll-bar job_table " style="overflow:scroll;border: 1px solid #cfd6de;
                                margin-top: 7px;
                                margin-bottom: 0px;">
                    <table id="hourTable" class="table table-striped text-canter">

                        <thead class="border background" style="font-size:10px;font-family: poppins;">
                            <tr class="text-light">
                                <th class="sorting sorting_asc background" tabindex="0" aria-controls="example" colspan="1"
                                    style="width: 125.688px;" aria-sort="ascending"
                                    aria-label="Car Type: activate to sort column descending">Car Type</th>
                                <th class="sorting background" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                                    style="width: 110.578px;"
                                    aria-label="Miles Range: activate to sort column ascending">
                                     Plot From- Plot To</th>
                                <th class="sorting background" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                                    style="width: 110.578px;" aria-label="1st Mile: activate to sort column ascending">
                                    Price
                                    Per Hour</th>
                                <th class="sorting background" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                                    style="width: 126.969px;" aria-label="Actions: activate to sort column ascending">
                                    Actions</th>
                            </tr>
                        </thead>
                        <tbody style="font-family: poppins;">
                            <?php
                            include "db/db.php";
                            $user_id = $_SESSION['user_tenant_id'];
                            $con = mysqli_connect($serverName, $userName, $password, $dbName);
                            if (mysqli_error($con)) {
                                echo 'Error connecting to database:' . mysqli_error($con);
                            }

                            $query = "SELECT * FROM `hourly_rate` WHERE user_tenant_id='$user_id'";
                            $result = mysqli_query($con, $query);

                            if (mysqli_num_rows($result) > 0) {
                                while ($row = mysqli_fetch_assoc($result)) {
                                    echo "<tr class=''  data='{$row['id']}'>";
                                    echo "<td class='text-canter'>{$row['car_type']}</td>";
                                    echo "<td class='text-canter'>{$row['hours_range_from']} - {$row['hours_range_to']}</td>";
                                    echo "<td class='text-canter'>£{$row['price_per_hour']}</td>";
                                    echo "<td class='text-canter'><a class='editHourly btn background'style='display: inline-block;
                                font-weight: 400;
                                line-height: 1.5;
                                color: #212529;
                                text-align: center;
                                text-decoration: none;
                                vertical-align: middle;
                                cursor: pointer;
                                -webkit-user-select: none;
                                -moz-user-select: none;
                                user-select: none;
                                background-color: transparent;
                                border: 1px solid transparent;
                                padding: 0PX 20PX;
                                font-size: 10PX;
                                color: #fff;
                          
                                border-radius: 0.25rem;
                                transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
                            ' data-id='{$row['id']}' href='#'>Edit</a> | <a class='btn background' style='display: inline-block;
                                font-weight: 400;
                                line-height: 1.5;
                                color: #212529;
                                text-align: center;
                                text-decoration: none;
                                vertical-align: middle;
                                cursor: pointer;
                                -webkit-user-select: none;
                                -moz-user-select: none;
                                user-select: none;
                                background-color: transparent;
                                border: 1px solid transparent;
                                padding: 0PX 20PX;
                                color: #fff;
                                font-size: 10PX;
                                border-radius: 0.25rem;
                            transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
                            ' href='deleteHour.php?id={$row['id']} name='delete_hour''>Delete</a></td>";
                                    echo "</tr>";
                                }
                            }

                            mysqli_close($con);
                            ?>
                        </tbody>
                    </table>
                </div>

                <div class="col-4 scroll-bar job_table " style="overflow:scroll;border: 1px solid #cfd6de;
                                            margin-top: 7px;
                                            margin-bottom: 0px;">
                    <table id="fixedTable" class="table table-striped text-canter">

                        <thead class="border background" style="font-size: 10px;font-family: poppins;">
                            <tr class=" text-light">
                                <th class="sorting sorting_asc background" tabindex="0" aria-controls="example" colspan="1"
                                    style="width: 125.688px;" aria-sort="ascending"
                                    aria-label="Car Type: activate to sort column descending">Car Type</th>
                                <th class="sorting background" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                                    style="width: 110.578px;"
                                    aria-label="Miles Range: activate to sort column ascending">
                                    Pick up</th>
                                <th class="sorting background" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                                    style="width: 110.578px;" aria-label="1st Mile: activate to sort column ascending">
                                    Drop
                                    Off</th>
                                <th class="sorting background" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                                    style="width: 110.578px;" aria-label="1st Mile: activate to sort column ascending">
                                    Price
                                </th>
                                <th class="sorting background" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                                    style="width: 126.969px;" aria-label="Actions: activate to sort column ascending">
                                    Actions</th>
                            </tr>
                        </thead>
                        <tbody style="font-family: poppins;">
                            <?php
                            include "db/db.php";
                            $user_id = $_SESSION['user_tenant_id'];
                            $con = mysqli_connect($serverName, $userName, $password, $dbName);
                            if (mysqli_error($con)) {
                                echo 'Error connecting to database:' . mysqli_error($con);
                            }

                            $query = "SELECT * FROM fixed_rate WHERE user_tenant_id='$user_id'";
                            $result = mysqli_query($con, $query);

                            if (mysqli_num_rows($result) > 0) {
                                while ($row = mysqli_fetch_assoc($result)) {
                                    echo "<tr class='' data-id='{$row['id']}'>";
                                    echo "<td class='text-canter'>{$row['car_type']}</td>";

                                    echo "<td class='' style='font-size: 12px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; max-width: 180px;'><span title='" . $row['pick_up'] . "'>" . $row['pick_up'] . "</span></td>";
                                    echo "<td class='' style='font-size: 12px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; max-width: 180px;'><span title='" . $row['drop_off'] . "'>" . $row['drop_off'] . "</span></td>";
                                    echo "<td class='text-canter'>£{$row['price']}</td>";
                                    echo "<td class='text-canter'><a class='editFixed btn background'style='display: inline-block;
                                    font-weight: 400;
                                    line-height: 1.5;
                                    color: #212529;
                                    text-align: center;
                                    text-decoration: none;
                                    vertical-align: middle;
                                    cursor: pointer;
                                    -webkit-user-select: none;
                                    -moz-user-select: none;
                                    user-select: none;
                                    background-color: transparent;
                                    border: 1px solid transparent;
                                    padding: 0PX 20PX;
                                    font-size: 10PX;
                                    color: #fff;
                                    
                                    border-radius: 0.25rem;
                                    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
                                ' href='#' data-id='{$row['id']}'>Edit</a> | <a class='btn background' style='display: inline-block;
                                    font-weight: 400;
                                    line-height: 1.5;
                                    color: #212529;
                                    text-align: center;
                                    text-decoration: none;
                                    vertical-align: middle;
                                    cursor: pointer;
                                    -webkit-user-select: none;
                                    -moz-user-select: none;
                                    user-select: none;
                                    background-color: transparent;
                                    border: 1px solid transparent;
                                    padding: 0PX 20PX;
                                    color: #fff;
                                    font-size: 10PX;
                                    border-radius: 0.25rem;
                                transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
                                ' href='deleteFixed.php?id={$row['id']}'>Delete</a></td>";
                                    echo "</tr>";
                                }
                            }

                            mysqli_close($con);
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
</section>
<section class="p-0">
    <div class="container-fluid py-1" style="">
        <div class="row" style="margin: 0px 0px;">
        <div class="col-md-12 p-0">
                <ul class="nav nav-tab" id="myTab" role="tablist">
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="#"
                            style="color:White; margin-left:10px;">Peak Hours</a>
                    </li>
                </ul>
            </div>
            <div class="col-md-12">
            </div>
            <div class="container-fluid  mb-1 py-1">
                <div class="row mt-1 ">
                    <div class="col-xl-12 p-0 mb-5 mb-xl-0">


                        <div class="container-fluid px-1">
                            <div class="tab-content clearfix">
                                <div class="tab-pane active" id="driverinvoice">
                                    <div class="tab-content" id="myTabContent">
                                        <div class="tab-pane fade show active " id="driverinvoice" role="tabpanel"
                                            aria-labelledby="driverinvoice">
                                            <div class="col-md-12">

                                                <div class="row">
                                                    <div class="">
                                                        <div class="">

                                                            <form action="action/sugarprice.php" method="POST">
                                                                <div class="row">
                                                                    <input type="hidden" name="peark_id" id="peark_id">
                                                                    <div class="col-md-2">
                                                                        <input class="" data-val="true"
                                                                            data-val-number="The field Name must be a number."
                                                                            data-val-required="The Name field is required."
                                                                            id="date_time_wise" name="selection"
                                                                            placeholder="From Date" type="radio"
                                                                            value="date_time_wise">
                                                                        <label for="date_time_wise"
                                                                            style="position: relative; bottom: 10px; font-size: 700; font-weight: 700;">
                                                                            Date & Time Wise
                                                                        </label>
                                                                    </div>
                                                                    <div class="col-md-2">
                                                                        <input class="" data-val="true"
                                                                            data-val-number="The field Name must be a number."
                                                                            data-val-required="The Name field is required."
                                                                            id="date_wise" name="selection"
                                                                            placeholder="From Date" type="radio"
                                                                            value="date_wise">
                                                                        <label for="date_wise"
                                                                            style="position: relative; bottom: 10px; font-size: 700; font-weight: 700;">
                                                                            Date Wise
                                                                        </label>
                                                                    </div>
                                                                    <div class="col-md-2">
                                                                        <input class="" data-val="true"
                                                                            data-val-number="The field Name must be a number."
                                                                            data-val-required="The Name field is required."
                                                                            id="time_wise" name="selection"
                                                                            placeholder="From Date" type="radio"
                                                                            value="time_wise">
                                                                        <label for="time_wise"
                                                                            style="position: relative; bottom: 10px; font-size: 700; font-weight: 700;">
                                                                            Time Wise
                                                                        </label>
                                                                    </div>
                                                                    <div class="col-md-2">
                                                                        <input class="" data-val="true"
                                                                            data-val-number="The field Name must be a number."
                                                                            data-val-required="The Name field is required."
                                                                            id="day_wise" name="selection"
                                                                            placeholder="From Date" type="radio"
                                                                            value="day_wise">
                                                                        <label for="day_wise"
                                                                            style="position: relative; bottom: 10px; font-size: 700; font-weight: 700;">
                                                                            Day Wise
                                                                        </label>
                                                                    </div>
                                                                    <div class="col-md-2">
                                                                        <input class="" data-val="true"
                                                                            data-val-number="The field Name must be a number."
                                                                            data-val-required="The Name field is required."
                                                                            id="active" name="active" placeholder=""
                                                                            type="Checkbox"  checked>
                                                                        <label for="active"
                                                                            style="position: relative; bottom: 10px; font-size: 700; font-weight: 700;">
                                                                            Active
                                                                        </label>
                                                                    </div>
                                                                </div>
                                                                <div class="row">
                                                                    <div class="col-md-2">
                                                                        <input
                                                                            class="form-control h-auto text-box single-line Datepicker"
                                                                            data-val="true"
                                                                            data-val-number="The field Name must be a number."
                                                                            data-val-required="The Name field is required."
                                                                            id="From_Date" name="From_Date"
                                                                            placeholder="From" type="text" value="">
                                                                    </div>
                                                                    <div class="col-md-1">
                                                                        <input
                                                                            class="form-control h-auto text-box single-line"
                                                                            data-val="true"
                                                                            data-val-number="The field Name must be a number."
                                                                            data-val-required="The Name field is required."
                                                                            id="From_Time" name="From_Time"
                                                                            placeholder="From" type="time" value="">
                                                                    </div>
                                                                    <div class="col-md-2">
                                                                        <input
                                                                            class="form-control h-auto text-box single-line Datepicker"
                                                                            data-val="true"
                                                                            data-val-number="The field Name must be a number."
                                                                            data-val-required="The Name field is required."
                                                                            id="Till_Date" name="Till_Date"
                                                                            placeholder="Till" type="text" value="">
                                                                    </div>
                                                                    <div class="col-md-1">
                                                                        <input
                                                                            class="form-control h-auto text-box single-line"
                                                                            data-val="true"
                                                                            data-val-number="The field Name must be a number."
                                                                            data-val-required="The Name field is required."
                                                                            id="Till_Time" name="Till_Time"
                                                                            placeholder="Till" type="time" value="">
                                                                    </div>
                                                                    <div class="col-md-2">
                                                                        <select name="Increment"
                                                                            style="display: block; width: 100%;  padding: 0px 4px; font-size: 1rem; font-weight: 400; border: 1px solid #ced4da; border-radius: 0.25rem; line-height: 1.5;"
                                                                            id="peak_type">
                                                                            <option value="" selected="">Increment Type
                                                                            </option>
                                                                            <option value="Percent">Percent</option>
                                                                            <option value="Amount">Amount</option>
                                                                        </select>
                                                                    </div>
                                                                    <div class="col-md-2">
                                                                        <input
                                                                            class="form-control h-auto text-box single-line"
                                                                            data-val="true"
                                                                            data-val-number="The field longitude must be a number."
                                                                            data-val-required="The longitude field is required."
                                                                            id="Increment_Rate" name="Increment_Rate"
                                                                            placeholder="Increment Rate" type="text">
                                                                    </div>
                                                                     <div class="col-md-1 mb-1">
                                                                        <button id="getResult" type="submit"
                                                                            name="sugar"
                                                                            class="getResult btn background"
                                                                            style="color:white;padding: 3px 20px;font-size: 12px;width: 100%;">Add</button>
                                                                    </div>
                                                                    <div class="col-md-1 mb-1">
                                                                        <button id="clearer" type="button"
                                                                            name=""
                                                                            class="getResult btn background"
                                                                            style="color:white;padding: 3px 20px;font-size: 12px;width: 100%;">Clear</button>
                                                                    </div>
                                                                </div>
                                                            </form>

                                                        </div>
                                                    </div>

                                                </div>

                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</section>
<section class="distance-rate h-100 p-0">
    <div class="container-fluid" style="">
        <div class="row">
            <div class="col-md-12 d-flex align-items-center p-0" style="">
            <style>
 @media screen and (min-width: 1200px) {
        .job_tables {
            height: calc(24.5vh - 100px);
            overflow-y: auto;
            overflow-x: hidden;
        }
    }
      @media screen and (min-width: 1500px) {
        .job_tables {
            height: calc(32.2vh - 100px);
            overflow-y: auto;
            overflow-x: hidden;
        }
    }

    @media screen and (min-width: 1760px) {
        .job_tables {
            height: calc(39vh - 100px); /* Adjust 100px as needed based on your header and footer heights */
            overflow-y: auto;
            overflow-x: hidden;
        }
    }
    @media screen and (min-width: 2300px) {
        .job_tables {
            height: calc(39.3vh - 100px); /* Adjust 100px as needed based on your header and footer heights */
            overflow-y: auto;
            overflow-x: hidden;
        }
    }
</style>

                <div class="col-md-12 scroll-bar job_tables" style="overflow:scroll;border: 1px solid #cfd6de;
                                        margin-top: 7px;
                                        margin-bottom: 0px;">
                    <table id="fareTable" class="table table-striped text-canter">
                        <style>
                             tbody td {
        padding: 0px 13px;
        font-weight: 700;
        border: 1px solid #e9ecef;
    }

thead th {
        padding: 0px 9px !important;
        height: 30px !important;
        border-bottom: 1px solid #111;
        vertical-align: middle;
        font-size: 13px;
        text-wrap: nowrap;
        border: 1px solid #e9ecef;
    }
    .table>:not(caption)>*>* {
    padding: 0rem 0.5rem;
    background-color: var(--bs-table-bg);
    border-bottom-width: 1px;
    box-shadow: inset 0 0 0 9999px var(--bs-table-accent-bg);
}
                            table.dataTable.no-footer {
                                border-bottom: 0px solid #dee2e6;
                            }

                            .table>:not(:last-child)>:last-child>* {
                                border-bottom-color: #6f42c1;
                            }
                        </style>

                        <thead class="border background" style="font-size:10px;font-family: poppins;">
                            <tr class="text-light">
                         
                                <th class="sorting background" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                                    style="width: 110.578px;"
                                    aria-label="Miles Range: activate to sort column ascending">
                                   From</th>
                                <th class="sorting background" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                                    style="width: 110.578px;" aria-label="1st Mile: activate to sort column ascending">
                                  Till</th>
                                <th class="sorting background" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                                    style="width: 112.516px;" aria-label="Per Mile: activate to sort column ascending">
                                   Rate</th>
                                <th class="background" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                                    style="width: 126.969px;">
                                   Type</th>
                                <th class="background" tabindex="0" aria-controls="example" rowspan="1" colspan="1"
                                    style="width: 126.969px;">
                                Action</th>
                            </tr>
                        </thead>
                        <tbody style="font-family: poppins;">
                            <?php
                            include "db/db.php";

                            $con = mysqli_connect($serverName, $userName, $password, $dbName);
                            if (mysqli_error($con)) {
                                echo 'Error connecting to database:' . mysqli_error($con);
                            }

                         

                          
                                $query = "SELECT * FROM sugar_amount ";
                                $result = mysqli_query($con, $query);

                                if (mysqli_num_rows($result) > 0) {
                                    while ($row = mysqli_fetch_assoc($result)) {
                                        echo "<tr class=''  data='{$row['id']}'>";
                                      
                                        echo "<td class='text-canter'>{$row['from_date']}  {$row['from_time']}</td>";
                                        echo "<td class='text-canter'>{$row['till_date']}  {$row['till_time']}</td>";
                                        echo "<td class='text-canter'>{$row['rate']}%</td>";
                                        echo "<td class='text-canter'>{$row['type']}</td>";
                                         echo "<td class='text-canter'><a class='editPeakhour btn background' style='display: inline-block;
                                            font-weight: 400;
                                            line-height: 1.5;
                                            color: #212529;
                                            text-align: center;
                                            text-decoration: none;
                                            vertical-align: middle;
                                             cursor: pointer;
                                            -webkit-user-select: none;
                                            -moz-user-select: none;
                                            user-select: none;
                                            background-color: transparent;
                                            border: 1px solid transparent;
                                         padding: 0PX 20PX;
                                            color: #fff;
                                         font-size: 10PX;
                                         border-radius: 0.25rem;
                                         transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
                                        ' href='#' data-id='{$row['id']}'>Edit</a>
                                        | <a class='btn background' style='display: inline-block;
                                            font-weight: 400;
                                            line-height: 1.5;
                                            color: #212529;
                                            text-align: center;
                                            text-decoration: none;
                                            vertical-align: middle;
                                             cursor: pointer;
                                            -webkit-user-select: none;
                                            -moz-user-select: none;
                                            user-select: none;
                                            background-color: transparent;
                                            border: 1px solid transparent;
                                         padding: 0PX 20PX;
                                            color: #fff;
                                         font-size: 10PX;
                                         border-radius: 0.25rem;
                                         transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
                                        ' href='deletesugar.php?id={$row['id']}'>Delete</a></td> ";
                                        echo "</tr>";
                                    }
                                }


                            mysqli_close($con);
                            ?>
                        </tbody>
                    </table>
                </div>
              
            </div>
        </div>
</section>
</div>
<?php
include "include/web_booking.php";
?>
<?php 
include "./db/db.php";
$user_id=$_SESSION['user_tenant_id'];
$query = "SELECT * FROM setting WHERE user_tenant_id='$user_id' ";
$result = mysqli_query($con, $query);
if (mysqli_num_rows($result) > 0) {
    $row = mysqli_fetch_assoc($result);
?>
<style>
     .caller-details  p {
            color:black;
            margin-top:3px;
            margin-bottom:0px;
        }
                .call-icon {
            position: fixed;
                bottom: 5px;
                right: 100px;
                color: white;
                border-radius: 50%;
                width: 40px;
                height: 40px;
                display: flex;
                justify-content: center;
                align-items: center;
                font-size: 22px;
                /*box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);*/
                cursor: pointer;
                z-index: 1000;
        }
            .message-icon {
    position: fixed;
    bottom: 5px;
    right: 40px;
    color: white;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    cursor: pointer;
    z-index: 1000; 
        }
       .chat-popup {
    position: fixed;
    top: 25%;
    left: 40%;
    width: 400px;
    background-color: white;
    border: 1px solid #ccc;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    display: none;
    z-index: 1000;
}

.chat-popup-header {
    color: white;
    padding: 5px;
    border-radius: 10px 10px 0 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.chat-popup-header h4 {
    margin: 0;
    font-size: 18px;
}

.chat-popup-header .close-btn {
    font-size: 20px;
    cursor: pointer;
}

.chat-popup-body {
    padding: 10px;
}

.chat-popup-body ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.chat-popup-body ul li {
    padding: 5px;
    border-bottom: 1px solid #ddd;
    cursor: pointer;
}
        .call-background{
    background-color:<?php echo($row['navbar_color'])?>!important
}
   
.chat-popup-body ul li:hover {
    background-color: #f0f0f0;
}

   .driver-list-container {
            display: flex;
            overflow-x: auto;
            white-space: nowrap;
            padding: 10px;
            border-bottom: 1px solid #ddd;
        }

        #driver-list {
            list-style-type: none;
            padding: 0;
            display: flex;
            flex-direction: row;
            margin: 0;
        }

        #driver-list li {
         padding: 10px;
        cursor: pointer;
        margin-right: 10px;
        background-color: #ddd;
        border-radius: 50px;
        width: 35px;
        height: 35px;
        display: flex;
        align-items: center;
        justify-content: center;
        }

        #driver-list li.active {
           background:<?php echo($row['navbar_color'])?>!important ;
        color:<?php echo ($row['font_color']) ?> !important;
        font-family: <?php echo($row['themefont_family'])?>!important;
        }

        .chat-window {
            display: none;
        }

        .chat-window.active {
            display: block;
             scrollbar-color:<?php echo ($row['scroll_color']) ?> white;
        }

        .chat-box {
            border: 1px solid #ddd;
            height: 200px;
            overflow-y: auto;
            padding: 10px;
            background-color: #fff;
            margin-bottom: 10px;
        }

        .chat-input-container {
            display: flex;
            align-items:center;
            justify-content:space-between;
            padding: 10px;
            border-top: 1px solid #ddd;
        }

        .chat-input {
            flex: 1;
            padding: 10px;
            border: 1px solid #ddd;
            box-sizing: border-box;
            border-radius: 5px;
        }

        .send-btn {
            margin-left:5px;
            background-color: #333;
            color: white;
            border: none;
            cursor: pointer;
            border-radius: 5px;
        }
       #call-details-container {
    display: none;
    position: fixed;
    /*top: 0; */
    right: 160px;
    bottom: 20px;
    width: 250px;
    height: 210px;
    /*border: 4px solid <?php echo($row['navbar_color'])?>!important;*/
    /*border-radius: 5px;*/
    text-align: center;
    color: white;
    transition: right 0.5s ease-in-out; /* Transition effect */
    z-index:999;
        }

        .highlight {
      background-color: <?php echo($row['navbar_color'])?>!important; 
      color:white !important;
   padding:5px;
     }
     <?php } ?>
 </style>
            <div id="call-details-container" class="card call-background" style="padding:0px 5px">
        <div class="card-header  background d-flex" style="padding: 5px;border-radius: 10px 10px 0 0;"><img src="assets/images/call_popup_icon.png" style="width: 25px;height: 20px;">&nbsp<h6 class="m-0" style="
    font-weight: 700;
">Incoming Call</h6></div>
        <div class="card-body p-0 " style="background-color: white;height:160px;overflow:scroll; scrollbar-color:<?php echo ($row['scroll_color']) ?> white;text-align:left;">
           <div class="caller-details" style="color:black;background-color: white;border: 1px solid white;"></div> 
        </div>
         <div class="card-footer py-1 background " style="border-radius: 0px 0px 5px 5px;margin: 0px -6px;">
        <button id="openPopupButton" style="width: 69%;;border-radius: 15px; border:none;">Create Booking</button>
    </div>
   </div>

<!--    <div class="call-icon " id="callIcon" onclick="toggleCallDetails()">-->
    <!--<i class="fa-solid fa-phone" id="callIconIcon"></i>-->
<!--</div>-->
    <!--<div class="message-icon background"  onclick="toggleChatPopup()">-->
    <!--   <i class="fa-solid fa-message" id="messageIcon"></i>-->
    <!--</div>-->
    
<div id="chat-popup" class="chat-popup">
        <div class="chat-popup-header background" style="height:32px;">
            <h4>Driver Chat</h4>
          <div style="display:flex;align-items:center;">
            <button id="minimizePopupDriver" class="minimize-btn" style="margin-right: 10px;color:white;">&#8211;</button>
            <span onclick="toggleChatPopup()" class="close-btn">&times;</span>
            </div>
        </div>
        <div class="driver-list-container">
            <ul id="driver-list">
                <?php 
                    include("db/db.php");
 $user_id=$_SESSION['user_tenant_id'];
                    $query = "SELECT CAST(Driver_id AS CHAR) AS Driver_id, Name FROM drivers WHERE logout_time='' AND user_tenant_id='$user_id' ";
                    $result = mysqli_query($con, $query);

                    if ($result) {
                        while ($row = mysqli_fetch_assoc($result)) {
                            echo '<li onclick="openChat(\'' . $row['Driver_id'] . '\', \'' . htmlspecialchars($row['Name'], ENT_QUOTES) . '\')">' . htmlspecialchars($row['Driver_id']) . '</li>';
                        }
                    }
                ?>
            </ul>
        </div>

        <div id="chat-area">
            <!-- Chat windows will be dynamically inserted here -->
        </div>

        <div class="chat-input-container">
            <input type="hidden" id="driver_Id" value="">
            <input type="text" id="sms" class="chat-input" placeholder="Type a message...">
            <button id="SendSMS" class="send-btn btn-sm background">Send</button>
        </div>
    </div>
    <div id="minimizedPopupDriver" class="minimized-popup background" style="display:none;">
    <button id="restorePopupDriver" class="btn btn-sm background ">Driver Chat</button>
</div>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script>
        let callCheckInterval;
const POLL_INTERVAL = 5000; // Adjust the polling interval as needed
let previousCallData = [];

// Function to check for incoming calls
function checkForIncomingCall() {
    fetch('action/get_call_data.php')
        .then(response => response.json())
        .then(data => {
            console.log("Fetched call data:", data);
            if (data.status === 'success' && data.calls.length > 0) {
                // Compare the current call data with the previous call data
                if (JSON.stringify(data.calls) !== JSON.stringify(previousCallData)) {
                    previousCallData = data.calls; // Update the previous call data

                    const callerDetailsContainer = document.querySelector(".caller-details");
                    callerDetailsContainer.innerHTML = ""; // Clear previous call details

                    // Reverse the order of the calls array
                    const reversedCalls = data.calls.reverse();

                    // Iterate over the reversed calls array
                    reversedCalls.forEach((call, index) => {
                        const callerDetailP = document.createElement("p");
                        callerDetailP.innerText = `${call.name} : ${call.caller}  `;

                        // Add click event listener
                        callerDetailP.addEventListener('click', () => {
                            // Remove highlight from previously selected call
                            const previousSelected = document.querySelector(".caller-details .highlight");
                            if (previousSelected) {
                                previousSelected.classList.remove("highlight");
                            }

                            // Add highlight to the clicked call
                            callerDetailP.classList.add("highlight");
                            document.getElementById("phone").value = call.caller;
                            if (call.name === 'Unknown') {
                                document.getElementById("name").value = '';
                            } else {
                                document.getElementById("name").value = call.name;
                            }

                            // Clear the interval to stop fetching call data
                            clearInterval(callCheckInterval);
                            callCheckInterval = null; // Ensure the interval is cleared
                        });

                        // Highlight the first call by default
                        if (index === 0) {
                            callerDetailP.classList.add("highlight");
                            // document.getElementById("phone").value = call.caller;
                        }

                        callerDetailsContainer.appendChild(callerDetailP);
                    });

                    document.getElementById("call-details-container").style.display = 'block';
                }
            }
        })
        .catch(error => console.error('Error fetching call data:', error));
}
// Function to clear call data
function clearCallData() {
    fetch('action/clear_call_data.php')
        .then(response => response.json())
        .then(data => {
            console.log("Cleared call data:", data);
            // Hide the call details popup
            document.getElementById("call-details-container").style.display = 'none';

            // Clear the phone input value
            document.getElementById("phone").value = '';
            // Clear the name input value
            document.getElementById("name").value = '';

            // Restart polling for incoming calls after clearing the data
            if (!callCheckInterval) {
                callCheckInterval = setInterval(checkForIncomingCall, POLL_INTERVAL);
            }
        })
        .catch(error => console.error('Error clearing call data:', error));
}

// Function to continuously repeat clearing of call data every 2 hours
function startRepeatingCallDataClear() {
    // Set the interval for 2 hours (7200000 milliseconds)
    setInterval(clearCallData, 7200000); // 2 hours
}

// Start polling for incoming calls
callCheckInterval = setInterval(checkForIncomingCall, POLL_INTERVAL);

// Start the continuous 2-hour repeating call data clearing process
startRepeatingCallDataClear();


// Attach the clearCallData function to the close button of the popup
// document.getElementById("close-popup-button").addEventListener('click', clearCallData);

// Restart polling when a new call is detected
function startPollingForCalls() {
    if (!callCheckInterval) {
        callCheckInterval = setInterval(checkForIncomingCall, POLL_INTERVAL);
    }
}

// Check for new calls on an interval
setInterval(() => {
    fetch('action/get_call_data.php')
        .then(response => response.json())
        .then(data => {
            if (data.status === 'success' && data.calls.length > previousCallData.length) {
                startPollingForCalls();
            }
        })
        .catch(error => console.error('Error checking for new calls:', error));
}, POLL_INTERVAL);

  function toggleCallDetails() {
    const callDetailsContainer = document.getElementById("call-details-container");
    const callIconElement = document.getElementById("callIconIcon");

    if (callDetailsContainer.style.display === 'block') {
        callDetailsContainer.style.display = 'none'; // Hides the call details
        callIconElement.classList.remove("fa-xmark");
        callIconElement.classList.add("fa-phone");
    } else {
        callDetailsContainer.style.display = 'block'; // Shows the call details
        callIconElement.classList.remove("fa-phone");
        callIconElement.classList.add("fa-xmark");
    }
}
        function toggleChatPopup() {
            const popup = document.getElementById('chat-popup');
            popup.style.display = popup.style.display === 'none' ? 'block' : 'none';
        }

        function openChat(driverId) {
    const chatArea = document.getElementById('chat-area');
    const driverListItems = document.querySelectorAll('#driver-list li');
    
    // Deselect previously selected driver
    driverListItems.forEach(item => item.classList.remove('active'));

    // Select current driver by matching Driver_id
    const selectedDriverItem = Array.from(driverListItems).find(item => item.textContent === driverId);
    selectedDriverItem.classList.add('active');

    // Hide previous chat if exists
    const previousChat = document.querySelector('.chat-window.active');
    if (previousChat) {
        previousChat.classList.remove('active');
    }

    // Create or show the chat window for the selected driver
    let chatWindow = document.getElementById(`chat-window-${driverId}`);
    if (!chatWindow) {
        chatWindow = document.createElement('div');
        chatWindow.id = `chat-window-${driverId}`;
        chatWindow.className = 'chat-window chat-box';
        chatWindow.innerHTML = '<p>Loading chat...</p>'; // Placeholder text
        chatArea.appendChild(chatWindow);
    }

    // Show the selected chat window
    chatWindow.classList.add('active');

    // Update the current chat ID
    $('#driver_Id').val(driverId);

    // Load previous messages
    loadMessages(driverId);
}

function sendMessage(driverId, message) {
    if (!message.trim()) return;

    $.post('action/send_message.php', { sender: 'web', receiver: driverId, message: message }, function(response) {
        $('#sms').val('');
        loadMessages(driverId);
    }).fail(function() {
        alert("Error sending message");
    });
}

function loadMessages(driverId) {
    $.get('action/load_messages.php', { driverId: driverId }, function(data) {
        $('#chat-window-' + driverId).html(data);
        $('#chat-window-' + driverId).scrollTop($('#chat-window-' + driverId)[0].scrollHeight);
    });
}

        $(document).ready(function() {
            // Send message on button click
            $('#SendSMS').click(function() {
                var message = $('#sms').val();
                var driverId = $('#driver_Id').val();
                if (driverId && message.trim() !== '') {
                    sendMessage(driverId, message);
                } else {
                    alert("Please select a driver and enter a message.");
                }
            });

            // Periodically update the chat window
            setInterval(function() {
                const driverId = $('#driver_Id').val();
                if (driverId) {
                    loadMessages(driverId);
                }
            }, 2000);
        });
    </script>
<?php
include "db/db.php";
 $user_id = $_SESSION['user_tenant_id'];
// Get today's date in the format MM/DD/YYYY
$today = date('m/d/Y');

// Query to count onboard jobs for today
$onboardQuery = "SELECT COUNT(*) AS onboard_count FROM bookins WHERE (status = '' OR status = 'At Pickup' OR status = 'Passenger On Board' OR status = 'On Route To The Destination' OR status = 'Soon To Clear') AND accepted = '1' AND STR_TO_DATE(date, '%m/%d/%Y') = STR_TO_DATE('$today', '%m/%d/%Y') AND user_tenant_id ='$user_id'";
$onboardResult = mysqli_query($con, $onboardQuery);
$onboardRow = mysqli_fetch_assoc($onboardResult);
$onboardCount = $onboardRow['onboard_count'];

// Query to count available drivers
$availableQuery = "SELECT COUNT(*) AS available_count FROM drivers WHERE  plot = 'plot' AND user_tenant_id='$user_id'";
$availableResult = mysqli_query($con, $availableQuery);
$availableRow = mysqli_fetch_assoc($availableResult);
$availableCount = $availableRow['available_count'];

// Calculate online count
$onlineCount = $onboardCount + $availableCount;

// Close the connection
mysqli_close($con);
?>
<div class="container-fluid mt-1 px-3" style="position: fixed;bottom: 0px;">
    <div class="row">
        <div class="col-md-12">
            <div class="row">
                <div class="col-md-12 d-flex bottom" style="font-weight: 700;">
                    <p for="" style="font-weight: 700;margin:0px;">
                    <img src="assets/images/clock.png" style="width: 30PX;HEIGHT: 25PX;">
                       
                        <span id="current-date-time" class="time-display"></span>
                    </p>
 <?php
    if (isset($_SESSION["log"]) && $_SESSION["log"] === true) {
        $username = htmlspecialchars($_SESSION["username"]); // Sanitize to prevent XSS
        $login_time = isset($_SESSION["login_time"]) ? $_SESSION["login_time"] : time();
        echo '<img src="assets/images/operator_icon.png" style="width: 30PX;HEIGHT: 27PX;">';
        echo '<h6 style="margin-top: 1.5px !important;font-weight: 700;">Operator:' . $username . '(Time: <span id="elapsed-time"></span>)&nbsp;</h6>';
        echo '<div id="login-time" data-login-time="' . $login_time . '" style="display: none;"></div>';
    } else {
        echo '<h6 style="margin-top: 1.5px !important;">&nbsp;Operate[]&nbsp;</h6>';
    }
    ?>
                   
                </div>
            </div>
        </div>
    </div>
</div>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
<script src="assets/js/fare.js"></script>
<script src="assets/js/web_booking.js"></script>
<script src="assets/js/ajax.js"></script>
<script src="assets/js/ComCan.js"></script>
<script src="assets/js/custom.js"></script>
<script src="assets/js/multiJobs.js"></script>
<script src="assets/js/short_key.js"></script>
<script src="assets/js/sms.js"></script>
<script>
    $(document).ready(function () {
        $(".Datepicker").datepicker({
            dateFormat: 'dd/mm/yy'  // Set the date format to DD/MM/YYYY
        });

    });
    $(document).ready(function () {
        $('#fareTable').DataTable({
            "lengthChange": false,
            "paging": false,
            "info": false,
            "order": [[0, "desc"]],
            "language": {
                "searchPlaceholder": "Search"
            },
            "dom": 'lfrtip',

        });
    });
    $(document).ready(function () {
        $('#hourTable').DataTable({
            "lengthChange": false,
            "paging": false,
            "info": false,
            "order": [[0, "desc"]],
            "language": {
                "searchPlaceholder": "Search"
            },
            "dom": 'lfrtip',

        });
    });
    $(document).ready(function () {
        $('#fixedTable').DataTable({
            "lengthChange": false,
            "paging": false,
            "info": false,
            "order": [[0, "desc"]],
            "language": {
                "searchPlaceholder": "Search"
            },
            "dom": 'lfrtrip',
        });
    });
        $(document).ready(function () {
    // Change event handler for the #HourFrom element
    $('#HourFrom').on('change', function () {
        // Get the value from the input field
        var plot = $(this).val();

        // AJAX request to update user preferences in the database
        $.ajax({
            url: 'action/view_plot.php',
            method: 'POST',
            data: { plot: plot },
            success: function (response) {
                const areaData = JSON.parse(response);
                 console.log("Parsed Area Data:", areaData);
                  $('#plot_from').val(areaData.data.Area);
            },
            error: function (xhr, status, error) {
                console.error("AJAX error:", error);
            }
        });
    });
});
$(document).ready(function () {
    // Change event handler for the #HourFrom element
    $('#HourTo').on('change', function () {
        // Get the value from the input field
        var plot = $(this).val();

        // AJAX request to update user preferences in the database
        $.ajax({
            url: 'action/view_plot.php',
            method: 'POST',
            data: { plot: plot },
            success: function (response) {
                const areaData = JSON.parse(response);
                 console.log("Parsed Area Data:", areaData);
                  $('#plot_to').val(areaData.data.Area);
            },
            error: function (xhr, status, error) {
                console.error("AJAX error:", error);
            }
        });
    });
});

    
    
    
    document.addEventListener('DOMContentLoaded', (event) => {
        const dateWiseRadio = document.getElementById('date_wise');
        const timeWiseRadio = document.getElementById('time_wise');
        const dateTimeWiseRadio = document.getElementById('date_time_wise');
        const dayWiseRadio = document.getElementById('day_wise');

        const fromDateInput = document.getElementById('From_Date');
        const tillDateInput = document.getElementById('Till_Date');
        const fromTimeInput = document.getElementById('From_Time');
        const tillTimeInput = document.getElementById('Till_Time');

        function updateFieldStates() {
            if (dateWiseRadio.checked) {
                fromDateInput.disabled = false;
                tillDateInput.disabled = false;
                fromTimeInput.disabled = true;
                tillTimeInput.disabled = true;
            } else if (timeWiseRadio.checked) {
                fromDateInput.disabled = true;
                tillDateInput.disabled = true;
                fromTimeInput.disabled = false;
                tillTimeInput.disabled = false;
            } else if (dateTimeWiseRadio.checked || dayWiseRadio.checked) {
                fromDateInput.disabled = false;
                tillDateInput.disabled = false;
                fromTimeInput.disabled = false;
                tillTimeInput.disabled = false;
            }
        }

        dateWiseRadio.addEventListener('change', updateFieldStates);
        timeWiseRadio.addEventListener('change', updateFieldStates);
        dateTimeWiseRadio.addEventListener('change', updateFieldStates);
        dayWiseRadio.addEventListener('change', updateFieldStates);

        updateFieldStates(); // Initialize the state on page load
    });
   $('#clearer').click(function () {
        $('#From_Date').val('').prop('disabled', false);
        $('#From_Time').val('').prop('disabled', false);
        $('#Till_Date').val('').prop('disabled', false);
        $('#Till_Time').val('').prop('disabled', false);
        $('#peak_type').val('').prop('disabled', false);
        $('#Increment_Rate').val('').prop('disabled',false);
        $('#date_time_wise').val('').prop('checked',false);
        $('#date_wise').val('').prop('checked',false);
        $('#time_wise').val('').prop('checked',false);
        $('#day_wise').val('').prop('checked',false);
      });
    // var checkboxInc = document.getElementById("check_inc");
    //     var checkboxDec = document.getElementById("check_dec");
    //     var selectInc = document.getElementById("inc");
    //     var selectDec = document.getElementById("dec");
    //     var inputField = document.getElementById("EclassPerMile");

    //     checkboxInc.addEventListener("change", function() {
    //         selectInc.disabled = !checkboxInc.checked;
    //     });

    //     checkboxDec.addEventListener("change", function() {
    //         selectDec.disabled = !checkboxDec.checked;
    //     });

    //     selectInc.addEventListener("change", function() {
    //         var selectedValue = parseInt(selectInc.value);
    //         var currentValue = parseFloat(inputField.value);
    //         if (isNaN(currentValue) || currentValue === "") {
    //             currentValue = 0;
    //         }
    //         var increasedValue = currentValue * (1 + selectedValue / 100);
    //         inputField.value = increasedValue.toFixed(2);
    //     });

    //     selectDec.addEventListener("change", function() {
    //         var selectedValue = parseInt(selectDec.value);
    //         var currentValue = parseFloat(inputField.value);
    //         if (isNaN(currentValue) || currentValue === "") {
    //             currentValue = 0;
    //         }
    //         var decreasedValue = currentValue * (1 - selectedValue / 100);
    //         inputField.value = decreasedValue.toFixed(2);
    //     });
function updateDateTime() {
    const now = new Date();
    
    // Get the London time using Intl.DateTimeFormat
    const options = {
        timeZone: 'Europe/London',
        hour: '2-digit',
        minute: '2-digit',
        second: '2-digit', // Include seconds
        hour12: false
    };
    
    const londonTime = new Intl.DateTimeFormat('en-GB', options).formatToParts(now);
    
    // Extract time components
    let hours, minutes, seconds;
    londonTime.forEach(({ type, value }) => {
        if (type === 'hour') hours = value;
        if (type === 'minute') minutes = value;
        if (type === 'second') seconds = value; // Extract seconds
    });

    const formattedTime = `${hours}:${minutes}:${seconds}`; // Include seconds in the formatted time
    
    // Format the date
    const dateOptions = { timeZone: 'Europe/London', day: '2-digit', month: '2-digit', year: 'numeric' };
    const londonDate = new Intl.DateTimeFormat('en-GB', dateOptions).format(now);

    const dateTimeString = `${londonDate} ${formattedTime}`;

    document.getElementById('current-date-time').textContent = dateTimeString;

    // Log date and time for debugging
    console.log(`Date and Time: ${dateTimeString}`);
}
document.addEventListener("DOMContentLoaded", function() {
    // Initial updates
    updateDateTime();
    setInterval(updateDateTime, 1000);
});

function updateElapsedTime() {
    var loginTime = parseInt(document.getElementById('login-time').getAttribute('data-login-time'));
    var currentTime = Math.floor(Date.now() / 1000); // Current time in seconds
    var elapsedTime = currentTime - loginTime;

    // Format the elapsed time including seconds
    var hours = Math.floor(elapsedTime / 3600);
    var minutes = Math.floor((elapsedTime % 3600) / 60);
    var seconds = elapsedTime % 60;

    // Format as HH:MM:SS
    var formattedTime = String(hours).padStart(2, '0') + ':' +
                        String(minutes).padStart(2, '0') + ':' +
                        String(seconds).padStart(2, '0');

    document.getElementById('elapsed-time').innerText = formattedTime;
}

// Update the elapsed time every second
document.addEventListener('DOMContentLoaded', function() {
    updateElapsedTime(); // Initial call
    setInterval(updateElapsedTime, 1000); // Update every 1 second
});
</script>
<?php include "include/footer.php" ?>

