<?php
include("../db/db.php"); // Include database connection

if (isset($_POST['submit'])) {
    // Check if a file is uploaded
    if (isset($_FILES['csvFile']) && $_FILES['csvFile']['error'] === UPLOAD_ERR_OK) {
        $fileTmpPath = $_FILES['csvFile']['tmp_name'];
        $fileName = $_FILES['csvFile']['name'];
        $fileType = $_FILES['csvFile']['type'];
        $fileNameCmps = explode(".", $fileName);
        $fileExtension = strtolower(end($fileNameCmps));
        $id=$_POST['company_type_select'];
        if ($fileExtension === 'csv') {
            // Open the file in read mode
            if (($handle = fopen($fileTmpPath, 'r')) !== false) {
                $row = 0; // Track rows to skip the header row
                while (($data = fgetcsv($handle, 1000, ",")) !== false) {
                    if ($row == 0) { 
                        // Skip the first row (CSV header)
                        $row++;
                        continue;
                    }
                    // Extract and sanitize data from the CSV
                    $dateTime = mysqli_real_escape_string($con, $data[1]); // "Date Time" column
                    $name = mysqli_real_escape_string($con, $data[2]);
                    $phone = mysqli_real_escape_string($con, $data[3]);
                    // $job_type = mysqli_real_escape_string($con, $data[4]);
                    $vehicle = mysqli_real_escape_string($con, $data[4]);
                    $driver = mysqli_real_escape_string($con, $data[5]);
                    $pickup = mysqli_real_escape_string($con, $data[6]);
                    $destination = mysqli_real_escape_string($con, $data[7]);
                    $via = mysqli_real_escape_string($con, $data[8]);
                    $via_two = mysqli_real_escape_string($con, $data[9]);
                    $via_three = mysqli_real_escape_string($con, $data[10]);
                    $account_no = mysqli_real_escape_string($con, $data[11]);
                    $flight = mysqli_real_escape_string($con, $data[13]);
                    $airline = mysqli_real_escape_string($con, $data[14]);
                    $comment = mysqli_real_escape_string($con, $data[16]);
                    $mile = mysqli_real_escape_string($con, $data[17]);
                    $wait_time = mysqli_real_escape_string($con, $data[18]);
                    $parking_charge = mysqli_real_escape_string($con, $data[21]);
                    $price = mysqli_real_escape_string($con, $data[22]);
                    $payment_type = mysqli_real_escape_string($con, $data[23]);
                    $book_by = mysqli_real_escape_string($con, $data[24]);
                    // $company_name = mysqli_real_escape_string($con, $data[39]);
                    $book_on = mysqli_real_escape_string($con, $data[25]);
                    $dispatch_by = mysqli_real_escape_string($con, $data[26]);
                    $dispatch_on = mysqli_real_escape_string($con, $data[27]);
                    // Split the "Date Time" column into date and time
                    $date = $time = null; // Default values
                    if (!empty($dateTime)) {
                        $dateTimeParts = explode(' ', $dateTime);
                        $date = mysqli_real_escape_string($con, $dateTimeParts[0]); // Date part
                        $time = mysqli_real_escape_string($con, $dateTimeParts[1]); // Time part
                    }
                    $phone = (substr($phone, 0, 1) === '0') ? $phone : '0' . $phone;
                    // Insert into the database
                    $query = "INSERT INTO bookins (
                        pickup, dropoff, date, time, name, phone, car_type, dispatch_DriverId, fare, book_by, book_on, status, via, via_two, via_three, message, payment_type, account, flight, airline, dispatch_by, dispatch_time, distance, Drv_Parking_Charges, user_tenant_id
                    ) VALUES (
                        '$pickup', '$destination', '$date', '$time', '$name', '$phone', '$vehicle', '$driver', '$price', '$book_by', '$book_on', 'Completed', '$via', '$via_two', '$via_three', '$comment', '$payment_type', '$account_no', '$flight', '$airline', '$dispatch_by', '$dispatch_on', '$mile', '$parking_charge', '$id'
                    )";
                   
                    if (!mysqli_query($con, $query)) {
                        echo "Error inserting row: " . mysqli_error($con);
                    }
                }
                fclose($handle);
                echo "CSV file successfully uploaded and data saved!";
                header('location:index.php');
            } else {
                echo "Error opening the file.";
            }
        } else {
            echo "Please upload a valid CSV file.";
        }
    } else {
        echo "No file uploaded or there was an error uploading the file.";
    }
}
?>
