<?php include('middleware/middleware.php') ?>
<?php include('include/header.php') ?>
<?php include('include/navbar.php') ?>
<style>
    body {
        margin: 0;
        font-size: 1rem;
        font-weight: 400;
        line-height: 1.5;
        color: black;
        text-align: left;
        background-color: #fff;
    }

    #image-info {
        display: none;
    }

    #image-infos {
        display: none;
    }

    #image-preview {
        display: none;
        width: 100%;
        height: 100%;
    }

    #image-previews {
        display: none;
        width: 100%;
        height: 100%;
    }

    .image-previeww {
        width: 170px;
        height: 170px;
        background: url("../assets/images/placeholder2.png")center center/cover;
    }

    .image-previewws {
        width: 170px;
        height: 170px;
        background: url("../assets/images/logo-placeholder.jpg")center center/cover;
    }

    .preview-header {
        padding: 5px;
        text-align: center;
    }

    #wrapper #content-wrapper {
        background-color: white;
        width: 100%;
        overflow-x: hidden;
    }

    .attributes .dropdown {
        position: relative;
        display: inline-block;
        width: 100%;
    }

    .attributes .dropdown-content {
        display: none;
        position: absolute;
        background-color: #f9f9f9;
        min-width: 250px;
        box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
        z-index: 1;
        border: 1px solid #ddd;
        border-radius: 5px;
        bottom: 100%;
        /* Position above the dropdown button */
    }

    .attributes .dropdown-content label {
        padding: 8px;
        cursor: pointer;
        display: flex;
        justify-content: start;
        align-items: center;
    }

    .attributes .dropdown-content label:hover {
        background-color: #f1f1f1;
    }

    .attributes .dropdown-button {
        background-color: white;
        border: 1px solid #ddd;
        border-radius: 5px;
        padding: 8px 8px;
        cursor: pointer;
        width: 100%;
        font-weight: 500;
        font-size: 14px;
        /*box-sizing: border-box;*/
    }

    .attributes .dropdown-content input {
        margin-right: 10px;
    }

    .input-with-icon {
        position: relative;
    }


    .input-with-icon .icon {
        position: absolute;
        top: 50%;
        right: 10px;
        /* Adjust as needed */
        transform: translateY(-50%);
        width: 24px;
        /* Adjust icon width as needed */
        height: 24px;
        /* Adjust icon height as needed */
        cursor: pointer;
    }

    .input-with-icon .icones {
        position: absolute;
        top: 50%;
        right: 0px;
        transform: translateY(-50%);
        width: 15px;
        font-size: 12px;
        height: 16px;
        font-weight: 500;
        cursor: pointer;

    }
</style>
<!-- Content Wrapper -->
<div id="content-wrapper" class="d-flex flex-column">

    <!-- Main Content -->
    <div id="content">

        <!-- Topbar -->
        <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

            <!-- Sidebar Toggle (Topbar) -->
            <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                <i class="fa fa-bars"></i>
            </button>

            <!-- Topbar Search -->


            <!-- Topbar Navbar -->
            <ul class="navbar-nav ml-auto">
                <div class="topbar-divider d-none d-sm-block"></div>

                <!-- Nav Item - User Information -->
                <li class="nav-item dropdown no-arrow">
                    <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false">
                        <span class="mr-2 d-none d-lg-inline text-gray-600 small">Douglas McGee</span>
                        <img class="img-profile rounded-circle" src="assets/img/undraw_profile.svg">
                    </a>
                    <!-- Dropdown - User Information -->
                    <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                        aria-labelledby="userDropdown">
                        <a class="dropdown-item" href="#">
                            <i class="fas fa-user fa-sm fa-fw mr-2 text-gray-400"></i>
                            Profile
                        </a>
                        <a class="dropdown-item" href="#">
                            <i class="fas fa-cogs fa-sm fa-fw mr-2 text-gray-400"></i>
                            Settings
                        </a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="action/logout.php">
                            <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                            Logout
                        </a>
                    </div>
                </li>

            </ul>

        </nav>
        <!-- End of Topbar -->

        <!-- Begin Page Content -->
        <div class="container-fluid">
            <div class="card shadow">
                <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                    <h6 class="m-0 font-weight-bold text-primary">Upload Company Data</h6>
                </div>
                <div class="card-body">
                    <div class="tab-content" id="myTabContent">
                        <div class="tab-pane fade show active mt-2" id="allDriver" role="tabpanel"
                            aria-labelledby="distance-price">
                            <div class="col-md-12">
                                <div class=" row  justify-content-center">
                                    <div class="col-md-12">
                                        <form action="action/upload_csv.php" method="POST"
                                            enctype="multipart/form-data">
                                            <div class="row justify-content-center">
                                                <div class="col-md-12">
                                                    <div class="row">
                                                        <div class="col-md-3">
                                                            <label style="" for="password">Select App Key</label>
                                                        </div>
                                                        <?php 
                                                            include('db/db.php');

                                                            // Query to fetch data
                                                            $query = "SELECT * FROM users";
                                                            $result = mysqli_query($con, $query);

                                                            // Check if the query was successful
                                                            if ($result && mysqli_num_rows($result) > 0) {
                                                               
                                                                    // Fetch individual fields
                                                                    
                                                                    ?>
                                                                    <div class="col-md-3">
                                                                        <select class="form-control" name="company_type_select">
                                                                            <?php
                                                                             while ($row = mysqli_fetch_assoc($result)) {
                                                                                $name = $row['Name'];
                                                                                 $id = $row['user_tenant_id'];
                                                                            echo"<option value='$id'>
                                                                                 $name
                                                                            </option>";
                                                                             } ?>
                                                                        </select>
                                                                    </div>
                                                            <?php
                                                            
                                                            } else {
                                                                echo "<p>No companies found.</p>";
                                                            }
                                                        ?>
                                                        <div class="col-md-3">                                                          
                                                            <label style="" for="password">Choose CSV File:</label>
                                                        </div> 
                                                        <div class="col-md-3">  
                                                            <input type="file" name="csvFile" id="csvFile" accept=".csv" class="form-control"
                                                                required>
                                                        </div>         
                                                    </div>
                                                    <div class="row mt-2">
                                                        <div class="col-md-6"></div>
                                                        <div class="col-md-3"></div>
                                                        <div class="col-md-3 d-flex justify-content-end">
                                                            <button class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm" type="submit" name="submit">Upload</button>
                                                        </div>
                                                    </div>
                                               </div> 
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.container-fluid -->

    </div>
    <!-- End of Main Content -->

    <!-- Footer -->
    <footer class="sticky-footer bg-white">
        <div class="container my-auto">
            <div class="copyright text-center my-auto">
                <span>Copyright &copy; Your Website 2020</span>
            </div>
        </div>
    </footer>
    <!-- End of Footer -->

</div>
<!-- End of Content Wrapper -->

</div>
<!-- End of Page Wrapper -->

<!-- Scroll to Top Button-->
<a class="scroll-to-top rounded" href="#page-top">
    <i class="fas fa-angle-up"></i>
</a>

<!-- Logout Modal-->
<div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
    aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
                <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
            <div class="modal-footer">
                <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
                <a class="btn btn-primary" href="login.html">Logout</a>
            </div>
        </div>
    </div>
</div>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<script>

  
</script>
<?php include('include/footer.php') ?>