<?php
include("middleware/middleware.php");
$pageTitle = 'Setting';
include("include/header.php")
    ?>
<style>
    .background {
        background:
            <?php echo ($row['navbar_color']) ?>
            !important;
        color:
            <?php echo ($row['font_color']) ?>
            !important;
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
        font-weight: 700;
    }

    .toastr-green {
        background-color: <?php echo ($row['notification_color']) ?> !important;
    }

    .bottom {
        color: <?php echo ($row['navbar_color']) ?> !important;
        /* Replace #999 with the color you want */
    }

    table.dataTable tbody td {
        font-size: 12px;
        white-space: nowrap;
        font-weight: 700;
    }

    .form-control {
        display: block;
        width: 100%;
        margin-bottom: 5px;
        padding: 1px 10px;
        font-family: 'Poppins';
        font-size: 1rem;
        font-weight: 400;
        line-height: 1.5;
        color: #212529;
        background-color: #fff;
        background-clip: padding-box;
        border: 1px solid #ced4da;
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
        border-radius: 0.25rem;
        transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    }

    .card-body {
        flex: 1 1 auto;
        padding: 10px 0px;
    }

    h5 {
        color:
            <?php echo ($row['navbar_color']) ?>
            !important;
        font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
    }

    label {
        font-weight: 700;
        font-size: 14px;
        color: <?php echo ($row['navbar_color']) ?> !important;
    }
    .toastr-green{
        background-color:<?php echo($row['notification_color'])?>!important ;
    }
    .suggestions {
        border: 1px solid #ccc;
        max-height: 150px;
        overflow:scroll;
        display: none; /* Initially hidden */
        position: absolute; /* Position it relative to the input */
        z-index: 1000; /* Make sure it's above other elements */
        background-color: white;
        width:285px;
     scrollbar-color:<?php echo ($row['scroll_color']) ?> white;
     /*top:138px;*/

    }
    .suggestion-item {
        padding: 6px;
        cursor: pointer;
        font-size:13px;
    }
    .suggestion-item:hover {
           background:<?php echo($row['navbar_color'])?>!important ;
        color:<?php echo ($row['font_color']) ?> !important;
        font-family: <?php echo($row['themefont_family'])?>!important; /* Highlight on hover */
    }
    .mapboxgl-ctrl-geocoder .suggestions{
    overflow: scroll !important;
}
.mapboxgl-ctrl-geocoder input[type='text']{
    font-size: 16px !important;
    font-family:
            <?php echo ($row['themefont_family']) ?>
            !important;
}
.mapboxgl-ctrl-geocoder{
    width:100% !important;
    margin: 0px !important;
}
.mapboxgl-ctrl-top-right,
.mapboxgl-ctrl-geocoder--icon-search{
    display: none !important;
}
       #map_canvas {
    width: 100%; /* Full width */
    height: 400px; /* Set height */
    position: relative; /* Ensure it can size correctly */
}
    @media screen and (min-width: 1200px) {
        .job_table {
            height: calc(89vh - 100px);
            overflow-y: auto;
            overflow-x: hidden;
        }
    }

    @media screen and (min-width: 1600px) {
        .job_table {
            height: calc(91.5vh - 100px);
            overflow-y: auto;
            overflow-x: hidden;
        }


    }

    @media screen and (min-width: 1760px) {
        .job_table {
            height: calc(92.9vh - 100px);
            /* Adjust 100px as needed based on your header and footer heights */
            overflow-y: auto;
            overflow-x: hidden;
        }


    }

    @media screen and (min-width: 2370px) {
        .job_table {
            height: calc(95vh - 100px);
            overflow-y: auto;
            overflow-x: hidden;
        }
    }
      .onoffbtn{
  width:60px;
  height:30px;
  border-radius:15px;
  background:#000;
  display:block;
  position:relative;
}
.onoffbtn:after{
  position:absolute;
  height:28px;
  width:28px;
  display:block;
  border-radius:50%;
  background:#ff0000;
  top:1px;
  left:1px;
  content:'off';
  -webkit-transition: all 200ms ease-in-out;
  -moz-transition: all 200ms ease-in-out;
  -o-transition: all 200ms ease-in-out;
  transition: all 200ms ease-in-out;
  text-align:center;
  line-height:29px;
  color:#fff;
  font-size:12px;
}
.onoffbtn.active:after{
  left:100%;
  margin-left:-29px;
  background:#008000;
  content:'on';
}
.onoffbtn input[type="checkbox"]{
  opacity:0;
}
.card {
    position: relative;
    display: flex;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #fff;
    background-clip: border-box;
     border: 0px solid rgba(0, 0, 0, .125); 
    border-radius: 0rem;
}
    .border-color{
border-bottom: 8px solid <?php echo($row['navbar_color']); ?>; 
border-left: 8px solid <?php echo($row['navbar_color']); ?>; 
border-right: 8px solid <?php echo($row['navbar_color']); ?>;
    }
    .line {
        display: block;
        border: 1px solid
            <?php echo ($row['navbar_color']) ?>
            !important;
        ;
    }

    .line h2 {
        font-size: 20px;
        text-align: left;
        margin-left: 20px;
        position: relative;
        color:
            <?php echo ($row['navbar_color']) ?>
            !important;
    }

    .line h2 span {
        background-color: #e9e9eb;
        position: relative;
    }
</style>
<section class="h-100 p-0 border-color">
    <div class="container-fluid p-0" style="overflow:hidden;">
        <div class="row" style="margin: 0px -7px;">
            <div class="col-md-12 shadow">
                <ul class="nav nav-tabs py-2" id="myTab" role="tablist">
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="config.php" style="color:White; margin-left:10px;">Theme
                            Setting</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="company_info.php"
                            style="color:White; margin-left:10px;">Company Info</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="sub_company.php" style=" margin-left: 10px;">Create Sub Company</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link" href="time_setting.php" style="margin-left:10px;">Time Setting</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link background" href="short_cut_key.php" style="margin-left:10px;">Short Cut Keys</a>
                    </li>
                </ul>
            </div>
            <div class="tab-content" id="myTabContent">
                <div class="tab-pane fade show active mt-2" id="allDriver" role="tabpanel"
                    aria-labelledby="distance-price">
                    <div class="col-md-12 mb-5 mb-xl-0 d-flex justify-content-center">
                        <div class=" row card job_table" style="background-color:#e9e9eb;">
                            <div class="col-md-11 card-body thead-light d-flex justify-content-between"
                                style="align-items: center !important;">
                                <div class="line mt-2">
                                <h2><span>Lead Time & Auto Dispatch</span></h2>
                                    <div class="row px-2 mb-2">
                                    <?php
                                    include "db/db.php";
                                    $user_id =$_SESSION['user_tenant_id'];
                                    $query = "SELECT * FROM lead_time WHERE user_tenant_id='$user_id'";
                                    $result = mysqli_query($con, $query);
                                    if (mysqli_num_rows($result) >= 0) {
                                        $row = mysqli_fetch_assoc($result)
                                            ?>
                                        <div class="col-md-6 d-flex justify-content-between">
                                            <div class="col-md-5">
                                                <label for="">Prebooking Job Mins</label>
                                            </div>
                                            <div class="col-md-5">
                                                <input type="text" style="width: 80%;" id="prebooking_book" class="form-control" value="<?php echo $row['perbooking_time'] ?>" >
                                            </div>
                                            <div class="col-md-2">
                                                <button class="btn background" id="prebooking"
                                                 style="color:white;padding: 3px 20px;font-size: 12px;width: 100%;">set</button>
                                            </div>
                                        </div>
                                        <div class="col-md-6 d-flex justify-content-between">
                                            <div class="col-md-5">
                                                <label for="">Airport pickup Mins</label>
                                            </div>
                                            <div class="col-md-5">
                                                <input type="text" class="form-control" id="airport_job"  style="width: 80%;" value="<?php echo $row['airport_time'] ?>">
                                            </div>
                                            <div class="col-md-2">
                                                <button class="btn background" id="airports"
                                                    style="color:white;padding: 3px 20px;font-size: 12px;width: 100%;">set</button>
                                            </div>
                                        </div>
                                         <div class="col-md-12">
                                            <h5 class="">Auto Dispatch</h5>
                                        </div>
                                        <div class="col-md-6 d-flex justify-content-between">
                                            <div class="col-md-5">
                                            <label class="onoffbtn"><input type="checkbox" id="toggle"></label>
                                            </div>
                                            <div class="col-md-5">
                                              
                                            </div>
                                            <div class="col-md-2">
                                            </div>
                                        </div>
                                    <?php } ?>
                                </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<?php
include "db/db.php";
$user_id =$_SESSION['user_tenant_id'];
$queryss = "SELECT * FROM auto_dispatch WHERE user_tenant_id='$user_id'";
$resultss = mysqli_query($con, $queryss);
$rowss = mysqli_fetch_assoc($resultss);
$state = $rowss['state'] == 1 ? 'on' : 'off';
?>
<?php
include "db/db.php";
$user_id= $_SESSION['user_tenant_id'];
// Get today's date in the format MM/DD/YYYY
$today = date('m/d/Y');

// Query to count onboard jobs for today
$onboardQuery = "SELECT COUNT(*) AS onboard_count FROM bookins WHERE (status = '' OR status = 'At Pickup' OR status = 'Passenger On Board' OR status = 'On Route To The Destination' OR status = 'Soon To Clear') AND accepted = '1' AND STR_TO_DATE(date, '%m/%d/%Y') = STR_TO_DATE('$today', '%m/%d/%Y') AND user_tenant_id='$user_id'";
$onboardResult = mysqli_query($con, $onboardQuery);
$onboardRow = mysqli_fetch_assoc($onboardResult);
$onboardCount = $onboardRow['onboard_count'];

// Query to count available drivers
$availableQuery = "SELECT COUNT(*) AS available_count FROM drivers WHERE plot = 'plot' AND user_tenant_id='$user_id'";
$availableResult = mysqli_query($con, $availableQuery);
$availableRow = mysqli_fetch_assoc($availableResult);
$availableCount = $availableRow['available_count'];

// Calculate online count
$onlineCount = $onboardCount + $availableCount;

// Close the connection
mysqli_close($con);
?>
<div class="container-fluid mt-1 px-3" style="position: fixed;bottom: 0px;">
    <div class="row">
        <div class="col-md-12">
            <div class="row">
                <div class="col-md-12 d-flex bottom" style="font-weight: 700;">
                    <p for="" style="font-weight: 700;margin:0px;">
                    <img src="assets/images/clock.png" style="width: 30PX;HEIGHT: 25PX;">
                       
                        <span id="current-date-time" class="time-display"></span>
                    </p>
 <?php
    if (isset($_SESSION["log"]) && $_SESSION["log"] === true) {
        $username = htmlspecialchars($_SESSION["username"]); // Sanitize to prevent XSS
        $login_time = isset($_SESSION["login_time"]) ? $_SESSION["login_time"] : time();
        echo '<img src="assets/images/operator_icon.png" style="width: 30PX;HEIGHT: 27PX;">';
        echo '<h6 style="margin-top: 1.5px !important;font-weight: 700;">Operator:' . $username . '(Time: <span id="elapsed-time"></span>)&nbsp;</h6>';
        echo '<div id="login-time" data-login-time="' . $login_time . '" style="display: none;"></div>';
    } else {
        echo '<h6 style="margin-top: 1.5px !important;">&nbsp;Operate[]&nbsp;</h6>';
    }
    ?>
                   
                </div>
            </div>
        </div>
    </div>
</div>
<?php
include "include/web_booking.php";
?>
<?php
include "./db/db.php";
$user_id =$_SESSION['user_tenant_id'];
$query = "SELECT * FROM setting WHERE user_tenant_id='$user_id'";
$result = mysqli_query($con, $query);
if (mysqli_num_rows($result) > 0) {
    $row = mysqli_fetch_assoc($result);

    ?>
    <style>
        .caller-details p {
            color: black;
            margin-top: 3px;
            margin-bottom: 0px;
            font-weight:00;
        }

        .call-icon {
            position: fixed;
                bottom: 5px;
                right: 100px;
                color: white;
                border-radius: 50%;
                width: 40px;
                height: 40px;
                display: flex;
                justify-content: center;
                align-items: center;
                font-size: 22px;
                /*box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);*/
                cursor: pointer;
                z-index: 1000;
        }
            .message-icon {
    position: fixed;
    bottom: 5px;
    right: 40px;
    color: white;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    cursor: pointer;
    z-index: 1000; 
        }

       .chat-popup {
    position: fixed;
    top: 25%;
    left: 40%;
    width: 400px;
    background-color: white;
    border: 1px solid #ccc;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    display: none;
    z-index: 1000;
}

        .chat-popup-header {
            color: white;
            padding: 5px;
            border-radius: 10px 10px 0 0;
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .chat-popup-header h4 {
            margin: 0;
            font-size: 18px;
        }

        .chat-popup-header .close-btn {
            font-size: 20px;
            cursor: pointer;
        }
        .call-background{
    background-color:<?php echo($row['navbar_color'])?>!important
}
   
        .chat-popup-body {
            padding: 10px;
        }

        .chat-popup-body ul {
            list-style: none;
            padding: 0;
            margin: 0;
        }

        .chat-popup-body ul li {
            padding: 5px;
            border-bottom: 1px solid #ddd;
            cursor: pointer;
        }

        .chat-popup-body ul li:hover {
            background-color: #f0f0f0;
        }

        .driver-list-container {
            display: flex;
            overflow-x: auto;
            white-space: nowrap;
            padding: 10px;
            border-bottom: 1px solid #ddd;
        }

        #driver-list {
            list-style-type: none;
            padding: 0;
            display: flex;
            flex-direction: row;
            margin: 0;
        }

        #driver-list li {
            padding: 10px;
            cursor: pointer;
            margin-right: 10px;
            background-color: #ddd;
            border-radius: 50px;
            width: 35px;
            height: 35px;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        #driver-list li.active {
            background: <?php echo ($row['navbar_color']) ?> !important;
            color: <?php echo ($row['font_color']) ?> !important;
            font-family:
                <?php echo ($row['themefont_family']) ?>
                !important;
        }

        .chat-window {
            display: none;
        }

        .chat-window.active {
            display: block;
            scrollbar-color: <?php echo ($row['scroll_color']) ?> white;
        }

        .chat-box {
            border: 1px solid #ddd;
            height: 200px;
            overflow-y: auto;
            padding: 10px;
            background-color: #fff;
            margin-bottom: 10px;
        }

        .chat-input-container {
            display: flex;
            align-items: center;
            justify-content: space-between;
            padding: 10px;
            border-top: 1px solid #ddd;
        }

        .chat-input {
            flex: 1;
            padding: 10px;
            border: 1px solid #ddd;
            box-sizing: border-box;
            border-radius: 5px;
        }

        .send-btn {
            margin-left: 5px;
            background-color: #333;
            color: white;
            border: none;
            cursor: pointer;
            border-radius: 5px;
        }

 #call-details-container {
    display: none;
    position: fixed;
    /*top: 0; */
    right: 160px;
    bottom: 20px;
    width: 250px;
    height: 210px;
    /*border: 4px solid <?php echo($row['navbar_color'])?>!important;*/
    /*border-radius: 5px;*/
    text-align: center;
    color: white;
    transition: right 0.5s ease-in-out; /* Transition effect */
    z-index:999;
        }

        .highlight {
            background-color:
                <?php echo ($row['navbar_color']) ?>
                !important;
            color: white !important;
            padding: 5px;
        }

    <?php } ?>
</style>
      <div id="call-details-container" class="card call-background" style="padding:0px 5px">
        <div class="card-header  background d-flex" style="padding: 5px;border-radius: 10px 10px 0 0;"><img src="assets/images/call_popup_icon.png" style="width: 25px;height: 20px;">&nbsp<h6 class="m-0" style="
    font-weight: 700;
">Incoming Call</h6></div>
        <div class="card-body p-0 " style="background-color: white;height:160px;overflow:scroll; scrollbar-color:<?php echo ($row['scroll_color']) ?> white;text-align:left;">
           <div class="caller-details" style="color:black;background-color: white;border: 1px solid white;"></div> 
        </div>
         <div class="card-footer py-1 background " style="border-radius: 0px 0px 5px 5px;margin: 0px -6px;">
        <button id="openPopupButton" style="width: 69%;;border-radius: 15px; border:none;">Create Booking</button>
    </div>
   </div>


<div id="chat-popup" class="chat-popup">
        <div class="chat-popup-header background" style="height:32px;">
            <h4>Driver Chat</h4>
          <div style="display:flex;align-items:center;">
            <button id="minimizePopupDriver" class="minimize-btn" style="margin-right: 10px;color:white;">&#8211;</button>
            <span onclick="toggleChatPopup()" class="close-btn">&times;</span>
            </div>
        </div>
        <div class="driver-list-container">
            <ul id="driver-list">
                <?php 
                    include("db/db.php");
 $user_id=$_SESSION['user_tenant_id'];
                    $query = "SELECT CAST(Driver_id AS CHAR) AS Driver_id, Name FROM drivers WHERE logout_time='' AND user_tenant_id='$user_id' ";
                    $result = mysqli_query($con, $query);

                    if ($result) {
                        while ($row = mysqli_fetch_assoc($result)) {
                            echo '<li onclick="openChat(\'' . $row['Driver_id'] . '\', \'' . htmlspecialchars($row['Name'], ENT_QUOTES) . '\')">' . htmlspecialchars($row['Driver_id']) . '</li>';
                        }
                    }
                ?>
            </ul>
        </div>

        <div id="chat-area">
            <!-- Chat windows will be dynamically inserted here -->
        </div>

        <div class="chat-input-container">
            <input type="hidden" id="driver_Id" value="">
            <input type="text" id="sms" class="chat-input" placeholder="Type a message...">
            <button id="SendSMS" class="send-btn btn-sm background">Send</button>
        </div>
    </div>
    <div id="minimizedPopupDriver" class="minimized-popup background" style="display:none;">
    <button id="restorePopupDriver" class="btn btn-sm background ">Driver Chat</button>
</div>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script>
    let callCheckInterval;
    const POLL_INTERVAL = 5000; // Adjust the polling interval as needed
    let previousCallData = [];

    // Function to check for incoming calls
    function checkForIncomingCall() {
        fetch('action/get_call_data.php')
            .then(response => response.json())
            .then(data => {
                console.log("Fetched call data:", data);
                if (data.status === 'success' && data.calls.length > 0) {
                    // Compare the current call data with the previous call data
                    if (JSON.stringify(data.calls) !== JSON.stringify(previousCallData)) {
                        previousCallData = data.calls; // Update the previous call data

                        const callerDetailsContainer = document.querySelector(".caller-details");
                        callerDetailsContainer.innerHTML = ""; // Clear previous call details

                        // Reverse the order of the calls array
                        const reversedCalls = data.calls.reverse();

                        // Iterate over the reversed calls array
                        reversedCalls.forEach((call, index) => {
                            const callerDetailP = document.createElement("p");
                            callerDetailP.innerText = `${call.name} : ${call.caller}  `;

                            // Add click event listener
                            callerDetailP.addEventListener('click', () => {
                                // Remove highlight from previously selected call
                                const previousSelected = document.querySelector(".caller-details .highlight");
                                if (previousSelected) {
                                    previousSelected.classList.remove("highlight");
                                }

                                // Add highlight to the clicked call
                                callerDetailP.classList.add("highlight");
                                document.getElementById("phone").value = call.caller;
                                if (call.name === 'Unknown') {
                                    document.getElementById("name").value = '';
                                } else {
                                    document.getElementById("name").value = call.name;
                                }

                                // Clear the interval to stop fetching call data
                                clearInterval(callCheckInterval);
                                callCheckInterval = null; // Ensure the interval is cleared
                            });

                            // Highlight the first call by default
                            if (index === 0) {
                                callerDetailP.classList.add("highlight");
                                // document.getElementById("phone").value = call.caller;
                            }

                            callerDetailsContainer.appendChild(callerDetailP);
                        });

                        document.getElementById("call-details-container").style.display = 'block';
                    }
                }
            })
            .catch(error => console.error('Error fetching call data:', error));
    }
    // Function to clear call data
    function clearCallData() {
        fetch('action/clear_call_data.php')
            .then(response => response.json())
            .then(data => {
                console.log("Cleared call data:", data);
                // Hide the call details popup
                document.getElementById("call-details-container").style.display = 'none';

                // Clear the phone input value
                document.getElementById("phone").value = '';
                // Clear the name input value
                document.getElementById("name").value = '';

                // Restart polling for incoming calls after clearing the data
                if (!callCheckInterval) {
                    callCheckInterval = setInterval(checkForIncomingCall, POLL_INTERVAL);
                }
            })
            .catch(error => console.error('Error clearing call data:', error));
    }

    // Function to continuously repeat clearing of call data every 2 hours
    function startRepeatingCallDataClear() {
        // Set the interval for 2 hours (7200000 milliseconds)
        setInterval(clearCallData, 7200000); // 2 hours
    }

    // Start polling for incoming calls
    callCheckInterval = setInterval(checkForIncomingCall, POLL_INTERVAL);

    // Start the continuous 2-hour repeating call data clearing process
    startRepeatingCallDataClear();


    // Attach the clearCallData function to the close button of the popup
    // document.getElementById("close-popup-button").addEventListener('click', clearCallData);

    // Restart polling when a new call is detected
    function startPollingForCalls() {
        if (!callCheckInterval) {
            callCheckInterval = setInterval(checkForIncomingCall, POLL_INTERVAL);
        }
    }

    // Check for new calls on an interval
    setInterval(() => {
        fetch('action/get_call_data.php')
            .then(response => response.json())
            .then(data => {
                if (data.status === 'success' && data.calls.length > previousCallData.length) {
                    startPollingForCalls();
                }
            })
            .catch(error => console.error('Error checking for new calls:', error));
    }, POLL_INTERVAL);

    function toggleCallDetails() {
        const callDetailsContainer = document.getElementById("call-details-container");
        const callIconElement = document.getElementById("callIconIcon");

        if (callDetailsContainer.style.display === 'block') {
            callDetailsContainer.style.display = 'none'; // Hides the call details
            callIconElement.classList.remove("fa-xmark");
            callIconElement.classList.add("fa-phone");
        } else {
            callDetailsContainer.style.display = 'block'; // Shows the call details
            callIconElement.classList.remove("fa-phone");
            callIconElement.classList.add("fa-xmark");
        }
    }
    function toggleChatPopup() {
        const popup = document.getElementById('chat-popup');
        popup.style.display = popup.style.display === 'none' ? 'block' : 'none';
    }

    function openChat(driverId) {
        const chatArea = document.getElementById('chat-area');
        const driverListItems = document.querySelectorAll('#driver-list li');

        // Deselect previously selected driver
        driverListItems.forEach(item => item.classList.remove('active'));

        // Select current driver by matching Driver_id
        const selectedDriverItem = Array.from(driverListItems).find(item => item.textContent === driverId);
        selectedDriverItem.classList.add('active');

        // Hide previous chat if exists
        const previousChat = document.querySelector('.chat-window.active');
        if (previousChat) {
            previousChat.classList.remove('active');
        }

        // Create or show the chat window for the selected driver
        let chatWindow = document.getElementById(`chat-window-${driverId}`);
        if (!chatWindow) {
            chatWindow = document.createElement('div');
            chatWindow.id = `chat-window-${driverId}`;
            chatWindow.className = 'chat-window chat-box';
            chatWindow.innerHTML = '<p>Loading chat...</p>'; // Placeholder text
            chatArea.appendChild(chatWindow);
        }

        // Show the selected chat window
        chatWindow.classList.add('active');

        // Update the current chat ID
        $('#driver_Id').val(driverId);

        // Load previous messages
        loadMessages(driverId);
    }

    function sendMessage(driverId, message) {
        if (!message.trim()) return;

        $.post('action/send_message.php', { sender: 'web', receiver: driverId, message: message }, function (response) {
            $('#sms').val('');
            loadMessages(driverId);
        }).fail(function () {
            alert("Error sending message");
        });
    }

    function loadMessages(driverId) {
        $.get('action/load_messages.php', { driverId: driverId }, function (data) {
            $('#chat-window-' + driverId).html(data);
            $('#chat-window-' + driverId).scrollTop($('#chat-window-' + driverId)[0].scrollHeight);
        });
    }

    $(document).ready(function () {
        // Send message on button click
        $('#SendSMS').click(function () {
            var message = $('#sms').val();
            var driverId = $('#driver_Id').val();
            if (driverId && message.trim() !== '') {
                sendMessage(driverId, message);
            } else {
                alert("Please select a driver and enter a message.");
            }
        });

        // Periodically update the chat window
        setInterval(function () {
            const driverId = $('#driver_Id').val();
            if (driverId) {
                loadMessages(driverId);
            }
        }, 2000);
    });
</script>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
<script src="assets/js/setting.js"></script>
<script src="assets/js/fontfamily.js"></script>
<script src="assets/js/web_booking.js"></script>
<script src="assets/js/ajax.js"></script>
<script src="assets/js/ComCan.js"></script>
<script src="assets/js/custom.js"></script>
<script src="assets/js/multiJobs.js"></script>
<script src="assets/js/short_key.js"></script>
<script src="assets/js/sms.js"></script>
<script>
$(document).ready(function() {
  // Set initial state based on PHP output
  var initialState = "<?php echo $state; ?>";
  if(initialState === 'on') {
    $('#toggle').prop('checked', true);
    $('.onoffbtn').addClass('active');
  } else {
    $('#toggle').prop('checked', false);
    $('.onoffbtn').removeClass('active');
  }

  // Handle click event to toggle the state and update the database
  $('.onoffbtn').on('click', function() {
    // Toggle the new state and reflect it immediately
    var newState = $('#toggle').is(':checked') ? 0 : 1;
    $('#toggle').prop('checked', newState === 1);
    if(newState === 1) {
      $('.onoffbtn').addClass('active');
    } else {
      $('.onoffbtn').removeClass('active');
    }

    // AJAX request to update the database
    $.ajax({
      url: 'action/auto_dispatch.php',
      type: 'POST',
      data: { state: newState },
      success: function(response) {
        console.log("Toggle Button Response from server (auto_dispatch.php):", response);
        if (response.trim() === 'success') {
          console.log("State updated successfully in the database.");
        } else {
          alert('Error updating state.');
        }
      },
      error: function(jqXHR, textStatus, errorThrown) {
        console.error("AJAX Error in auto_dispatch toggle:", textStatus, errorThrown);
        alert('Error updating state.');
      }
    });
  });
});
$(document).ready(function () {
    // Click event handler for the "Add" button
    $('#prebooking').click(function (e) {
        e.preventDefault(); // Prevent the default form submission
        // Get the color values from the color pickers
        var prebooking_book = $('#prebooking_book').val();

        // AJAX request to update user preferences in the database
        $.ajax({
            url: 'action/lead_time.php',
            method: 'POST',
            data: { prebooking_book: prebooking_book }, // Updated data names
            success: function (response) {
                console.log("Response from the server:", response);
                toastr.options = {
                    "closeButton": true,
                    "debug": false,
                    "newestOnTop": false,
                    "progressBar": false,
                    "positionClass": "toast-bottom-right",
                    "preventDuplicates": true,
                    "onclick": null,
                    "showDuration": "300",
                    "hideDuration": "1000",
                    "timeOut": "5000", 
                    "extendedTimeOut": "1000",
                    "showEasing": "swing",
                    "hideEasing": "linear",
                    "showMethod": "fadeIn",
                    "hideMethod": "fadeOut",
                    "toastClass": "toastr-green"
                };
                toastr.success('Prebooking Job Time Set successfully!');
            }
        });
    });
});
$(document).ready(function () {
    // Click event handler for the "Add" button
    $('#airports').click(function (e) {
        e.preventDefault(); // Prevent the default form submission
        // Get the color values from the color pickers
        var airport_job = $('#airport_job').val();

        // AJAX request to update user preferences in the database
        $.ajax({
            url: 'action/lead_time.php',
            method: 'POST',
            data: { airport_job: airport_job }, // Updated data names
            success: function (response) {
                console.log("Response from the server:", response);
                toastr.options = {
                    "closeButton": true,
                    "debug": false,
                    "newestOnTop": false,
                    "progressBar": false,
                    "positionClass": "toast-bottom-right",
                    "preventDuplicates": true,
                    "onclick": null,
                    "showDuration": "300",
                    "hideDuration": "1000",
                    "timeOut": "5000", 
                    "extendedTimeOut": "1000",
                    "showEasing": "swing",
                    "hideEasing": "linear",
                    "showMethod": "fadeIn",
                    "hideMethod": "fadeOut",
                    "toastClass": "toastr-green"
                };
                toastr.success('Airport Job Time Set successfully!');
            }
        });
    });
});


 function updateDateTime() {
    const now = new Date();
    
    // Get the London time using Intl.DateTimeFormat
    const options = {
        timeZone: 'Europe/London',
        hour: '2-digit',
        minute: '2-digit',
        second: '2-digit', // Include seconds
        hour12: false
    };
    
    const londonTime = new Intl.DateTimeFormat('en-GB', options).formatToParts(now);
    
    // Extract time components
    let hours, minutes, seconds;
    londonTime.forEach(({ type, value }) => {
        if (type === 'hour') hours = value;
        if (type === 'minute') minutes = value;
        if (type === 'second') seconds = value; // Extract seconds
    });

    const formattedTime = `${hours}:${minutes}:${seconds}`; // Include seconds in the formatted time
    
    // Format the date
    const dateOptions = { timeZone: 'Europe/London', day: '2-digit', month: '2-digit', year: 'numeric' };
    const londonDate = new Intl.DateTimeFormat('en-GB', dateOptions).format(now);

    const dateTimeString = `${londonDate} ${formattedTime}`;

    document.getElementById('current-date-time').textContent = dateTimeString;

    // Log date and time for debugging
    console.log(`Date and Time: ${dateTimeString}`);
}
document.addEventListener("DOMContentLoaded", function() {
    // Initial updates
    updateDateTime();
    setInterval(updateDateTime, 1000);
});

function updateElapsedTime() {
    var loginTime = parseInt(document.getElementById('login-time').getAttribute('data-login-time'));
    var currentTime = Math.floor(Date.now() / 1000); // Current time in seconds
    var elapsedTime = currentTime - loginTime;

    // Format the elapsed time including seconds
    var hours = Math.floor(elapsedTime / 3600);
    var minutes = Math.floor((elapsedTime % 3600) / 60);
    var seconds = elapsedTime % 60;

    // Format as HH:MM:SS
    var formattedTime = String(hours).padStart(2, '0') + ':' +
                        String(minutes).padStart(2, '0') + ':' +
                        String(seconds).padStart(2, '0');

    document.getElementById('elapsed-time').innerText = formattedTime;
}

// Update the elapsed time every second
document.addEventListener('DOMContentLoaded', function() {
    updateElapsedTime(); // Initial call
    setInterval(updateElapsedTime, 1000); // Update every 1 second
});
</script>
<?php include("include/footer.php") ?>